Index: Makefile
===================================================================
RCS file: /home/ncvs/ports/net/freeswitch-core/Makefile,v
retrieving revision 1.25
diff -u -r1.25 Makefile
--- Makefile	6 Feb 2012 12:25:45 -0000	1.25
+++ Makefile	14 Mar 2012 18:07:49 -0000
@@ -5,15 +5,15 @@
 # $FreeBSD: ports/net/freeswitch-core/Makefile,v 1.25 2012/02/06 12:25:45 miwi Exp $
 #
 
-PORTNAME=	freeswitch-core
-PORTVERSION=	1.0.7.1
+PORTNAME=	freeswitch
+DISTVERSION=	1.2.0
 PORTEPOCH=	1
-PORTREVISION=	1
 CATEGORIES=	net
 MASTER_SITES=	http://dl.dropbox.com/u/152504/ \
 		http://files.freeswitch.org/downloads/libs/:2 \
 		http://download.zeromq.org/:3
-DISTFILES=	${BASE_PORTNAME}-${PORTVERSION}.tar.gz \
+PKGNAMESUFFIX=	-core
+DISTFILES=	${PORTNAME}-${DISTVERSION}.tar.gz \
 		opus-0.9.0.tar.gz:2 \
 		celt-0.10.0.tar.gz:2 \
 		flite-1.5.1-current.tar.bz2:2 \
@@ -28,8 +28,8 @@
 		sphinxbase-0.7.tar.gz:2 \
 		communicator_semi_6000_20080321.tar.gz:2 \
 		zeromq-2.1.10.tar.gz:3
-DIST_SUBDIR=	${BASE_PORTNAME}
-EXTRACT_ONLY=	${BASE_PORTNAME}-${PORTVERSION}.tar.gz
+DIST_SUBDIR=    ${PORTNAME}
+EXTRACT_ONLY=	${PORTNAME}-${DISTVERSION}.tar.gz
 
 MAINTAINER=	r.neese@gmail.com
 COMMENT=	FreeSwitch SoftSwitch Port
@@ -40,34 +40,39 @@
 		tiff:${PORTSDIR}/graphics/tiff \
 		odbc:${PORTSDIR}/databases/unixODBC
 
-WRKSRC=		${WRKDIR}/${BASE_PORTNAME}-${PORTVERSION}
+WRKSRC=		${WRKDIR}/${PORTNAME}-${PORTVERSION}
 
 USE_AUTOTOOLS=	autoconf:env automake:env libtool:env
 
 USE_PERL5_BUILD=yes
 USE_BISON=	both
 USE_GMAKE=	yes
-SUB_FILES=	pkg-install pkg-message
+SUB_FILES=	pkg-install
 USE_RC_SUBR=	freeswitch
 HAS_CONFIGURE=	yes
 USE_LDCONFIG=	yes
-LDFLAGS+=	-L${LOCALBASE}/lib
-INCLUDES+=	-I${LOCALBASE}/include
+LDFLAGS+=       -L${LOCALBASE}/lib
+INCLUDES=	-I${LOCALBASE}/include
 CONFIGURE_ARGS+=--prefix=${PREFIX} \
 		--bindir=${PREFIX}/bin \
-		--sysconfdir=${PREFIX}/etc/${BASE_PORTNAME}/conf \
-		--includedir=${PREFIX}/include/${BASE_PORTNAME} \
-		--libdir=${PREFIX}/lib/${BASE_PORTNAME}/lib \
-		--localstatedir="${VARBASE}" \
-		--with-modinstdir=${PREFIX}/lib/${BASE_PORTNAME}/mod \
+		--datadir=${VARBASE}/db/${PORTNAME} \
+		--htmldir=${PREFIX}/www/${PORTNAME}/htdocs \
+		--includedir=${PREFIX}/include/${PORTNAME} \
+		--libdir=${PREFIX}/lib/${PORTNAME}/lib \
+		--localstatedir=${VARBASE} \
+		--sysconfdir=${PREFIX}/etc/${PORTNAME}/conf \
+		--with-soundsdir=${PREFIX}/share/${PORTNAME}/sounds \
+		--with-grammardir=${PREFIX}/etc/${PORTNAME}/grammar \
+		--with-scriptdir=${PREFIX}/etc/${PORTNAME}/scripts \
+		--with-modinstdir=${PREFIX}/lib/${PORTNAME}/mod \
 		--with-pkgconfigdir=${PREFIX}/libdata/pkgconfig \
-		--with-libgnutls-prefix=${LOCALBASE} \
+		--with-storagedir=${VARBASE}/${PORTNAME} \
+		--with-recordingsdir=${VARBASE}/${PORTNAME}/recordings \
 		--with-ogg=${LOCALBASE} \
 		--with-ogg-libraries=${LOCALBASE}/lib \
 		--with-ogg-includes=${LOCALBASE}/include
 
-CONFIGURE_ENV+=	LDFLAGS="${LDFLAGS}" \
-		INCLUDES="${INCLUDES}" \
+CONFIGURE_ENV+=	INCLUDES="${INCLUDES}" \
 		PTHREAD_CFLAGS="${PTHREAD_CFLAGS}" \
 		PTHREAD_LIBS="${PTHREAD_LIBS}"
 
@@ -83,68 +88,92 @@
 
 BASE_PORTNAME=	${FREESWITCH_USER}
 
-VARBASE?=	/var
-
-OPTIONS=	MODSHOUT        "Enable mod_shout (streaming audio/mp3)" on \
-		MODFLITE	"Enable mod_flite (Text to Speech)" on \
-		MODUNIMRCP	"Enable mod_unimrcp tts" off \
-		MODTTSCMDLINE	"Enable mod_tts_commandline" on \
-		MODPOCKETSPHINX	"Enable mod_pockectsphinx (voice control)" on \
-		MODCIDLOOKUP	"Enable mod_cidlookup()" on \
-		MODDPDIRECTORY	"Enable mod_dialplan_directory()" off \
-		MODDIRECTORY	"Enable mod_directory(dial name directory)" on \
- 		MODDINGALING	"Enable mod_dingaling(google talk)" on \
-		MODEASYROUTE	"Enable mod_easyroute(routing tool)" on \
-		MODERLANGEVENT  "Enable mod_erlang_event (Call Center Dist)" off \
-		MODLCR		"Enable mod_lcr (least cost routing)" on \
-		MODSOUNDTOUCH	"Enable mod_soundtouch(Audio Effects)" on \
-		MODRSS		"Enable mod_rss (rss feed reader)" on \
-		MODSNOM		"Enable mod_snom (snom control)" on \
-		MODAVMD		"Enable mod_avmd (Adavced v-mail detection)" on \
-		MODVMD		"Enable mod_vmd (voice mail detection)" off \
-		MODSPY		"Enable mod_spy(listen/breaking on calls)" on \
-		MODAMRWB	"Enable mod_amrwb (amrwb codec)" on \
-		MODCELT		"Enable mod_celt (celt 48k  codec)" on \
-		MODSILK		"Enable mod_silk (Silk Codec)" on \
-		MODCODEC2	"Enable mod_codec2 (Codec2 codec)" on \
-		MODOPUS		"Enable mod_opus codec (Opus codec)" on \
-		MODFREETDM	"Enable mod_freetdm (TDM Cards )" off \
-		MODSKINNY	"Enable mod_skinny (Skinny Support)" on \
-		MODMEMCACHE	"Enable mod_memcache ()" on \
-		MODMULTICAST	"Enable mod_event_multicast()" on \
-		MODNIBBLEBILL   "Enable mod_nibblebill (billing)" on \
-		MODPORTAUDIO    "Enable mod_portaudio(souncard portaudio)" on \
-		MODPASTREAM	"Enable mod_portaudio_stream (new)" on \
-		MODSHELLSTREAM	"Enable mod_shell_stream (new)" on \
-		MODPERL		"Enable mod_perl (perl support)" off \
-		MODPYTHON	"Enable mod_python (python support)" off \
-		MODCURL		"Enable mod_curl" on \
-		MODXMLCURL	"Enable mod_xml_curl" on \
-		MODDISTRIBUTOR	"Enable mod_distributor(c\# .net api)" off \
-		MODSNAPSHOT	"Enable mod_snapshot (testing)" off \
-		MODSAYDE	"Enable mod_say_de (German support)" off \
-		MODSAYES	"Enable mod_say_se (Spanish support)" off \
-		MODSAYEN	"Enable mod_say_en (English support)" on \
-		MODSAYHE	"Enable mod_say_he (Hebrew support)" off \
-		MODSAYHU	"Enable mod_say_hu (Hungarian support)" off \
-		MODSAYFR	"Enable mod_say_fr (French support)" off \
-		MODSAYIT	"Enable mod_say_it (Italian support)" off \
-		MODSAYNL	"Enable mod_say_nl (Dutch support)" off \
-		MODSAYRU	"Enable mod_say_ru (Russian support)" off \
-		MODSAYTH	"Enable mod_say_th (Thi support)" off \
-		MODSAYZH	"Enable mod_say_zh (Chinese support)" off \
-		EXTENSIONS	"Include Default User Extensions" off \
-		MODCALLCENTER	"Enable mod_callcenter (callcenter que)" on \
-		MODFSK		"Enablle mod_fsck (caller_id related)" on \
-		MODCDRPGCSV	"Enable mod_cdr_pg_csv( broken on 9.x )" off \
-		MODSNMP		"Enable mod_snmp (network monitoring)" on \
-		MODLADSPA	"Enable mod_ladspa(voice changer)(new)" on \
-		MODRTMP		"Enable mod_rtmp(realtime media protocol)" on \
-		MODDPASTERISK	"Enable mod_dialplan_asterisk(* dialplan)" off \
-		MODBLACKLIST	"Enable mod_blacklist(Black list numbers)" on \
-		MODHTTPCACHE	"Enable mod_http_cache(new)" on \
-		MODEVENTZMQ     "Enable mod_event_zmq(build issues)(new)" on \
-		SAMPLECONFIGS	"Enable Sample Configurations" on
+VARBASE=	/var
+ETCDIR=	${PREFIX}/etc/${PORTNAME}
+WWWDIR=	${PREFIX}/www/${PORTNAME}
+
+SAMPLESDIR=	conf conf/autoload_configs conf/chatplan conf/dialplan conf/dialplan conf/dialplan \
+		conf/dialplan/default conf/dialplan/public conf/dialplan/skinny-patterns conf/directory \
+		conf/directory/default conf/ivr_menus conf/jingle_profiles conf/lang conf/lang/de \
+		conf/lang/de/demo conf/lang/de/vm conf/lang/en conf/lang/en/demo conf/lang/en/dir \
+		conf/lang/en/ivr conf/lang/en/vm conf/lang/fr conf/lang/fr/demo conf/lang/fr/dir \
+		conf/lang/fr/vm conf/lang/he conf/lang/he/demo conf/lang/he/dir conf/lang/he/vm \
+		conf/lang/ru conf/lang/ru/demo conf/lang/ru/dir conf/lang/ru/vm conf/mrcp_profiles\
+		conf/sip_profiles conf/sip_profiles/external conf/sip_profiles/internal conf/skinny_profiles
+
+OPTIONS=	REBOOTSTRAP     "Rebootstrap freeswitch build" off \
+		VMPATCH         "Move VM ${VARBASE}/spool/${BASE_PORTNAME}/voicemail" off \
+		DEBUGMODEOFF    "Turn off Debug logging" on \
+		SAMPLECONFIGS   "Include Sample Configurations" off \
+		USESMPLCNFGS	"Make sample config files useable" off \
+		DEFAULTEXTENS	"Include Default User Extensions" off \
+		MODABSTRACTION	"Simplify/Standarize API" on \
+		MODAVMD		"Detects voicemail generalized approach" on \
+		MODCALLCENTER	"Call queuing application" on \
+		MODCIDLOOKUP	"Lookup CID via database, url" off\
+		MODBLACKLIST	"Blacklisk phone numbers" on \
+		MODCURL		"Allows scripts to make HTTP requests" on \
+		MODDISTRIBUTOR	"Simple round-robin style distributions" off \
+		MODEASYROUTE	"DID Database lookup" off \
+		MODFSK		"FSK (Frequency-Shift Keying) data transfer" on \
+		MODHTTAPI	"HTTP API" on \
+		MODHTTPCACHE	"HTTP GET with caching" on \
+		MODDIRECTORY	"Dial by name directory" on \
+ 		MODLADSPA	"use Auto-tune on your call" on \
+		MODLCR		"Least Cost Routing" off \
+		MODMEMCACHE	"Memcached API" off \
+		MODNIBBLEBILL	"Billing Module" off \
+		MODRSS		"RSS feed text to speech" on \
+		MODSNOM		"Controlling softkeys on Snom phones" off \
+		MODSPY		"Extension/Call Spy tool" on \
+		MODSOUNDTOUCH	"Pitch shifting audio effects" on \
+		MODSTRESS	"Detect Stress in voice" off \
+		MODSNAPSHOT	"Audio/Disk Snapshot Tool" off \
+		MODVMD		"Voicemail Beep Detection" on \
+		MODVOICEMAILIVR	"IVR Based Voicemail(NEW)" on \
+		MODAMRWB	"GSM-AMRWB (ARM Wide Band) codec" on \
+		MODCELT		"Celt ultra-low delay audio codec" on \
+		MODCODEC2	"Freeswitch Codec2 Module" on \
+		MODISAC		"Isac Codec (New Codec)" on \
+		MODOPUS		"OPUS ultra-low delay audio codec" on \
+		MODSILK		"Skype Silk Codec (Broken/BUILD ISSUES)" off \
+		MODDPASTERISK	"Asterisk Dialplan (Old School Dialplan)" off \
+		MODDPDIRECTORY	"obtain dialplan from a directory resource" off \
+		MODDINGALING	"Jabber/Google Talk integration module" on \
+		MODFREETDM	"Interface to Zaptel hardware End Points" off \
+		MODPORTAUDIO	"Portaudio API" on \
+		MODRTMP		"Real time media protocol" on \
+		MODSKINNY	"Skinny/SCCP" on \
+		MODFLITE	"Free open source Text to Speech" on \
+		MODPOCKETSPHINX	"Free open source Speech Recognition" on \
+		MODTTSCMDLINE	"Play Sounds via commandline" on \
+		MODUNIMRCP	"Open MRCP implementation ASR/Text" on \
+		MODCDRPGCSV	"Asterisk Compatible CDR PostgreSQL" off \
+		MODERLANGEVENT	"send/receive events/commands in Erlang" off \
+		MODMULTICAST	"Broadcasts events to netmask" on \
+		MODEVENTZMQ	"Zeroconf config socket" on \
+		MODSNMP		"SNMP AgentX module" off \
+		MODPASTREAM	"PortAudio Streaming Module" on \
+		MODSHELLSTREAM	"Stream audio via shell command" on \
+		MODSHOUT	"Play local mp3 files any rate(Build Error)" off \
+		MODMANAGED	"Common Language Infrastructure API" off \
+		MODPERL		"Perl Lang Support" on \
+		MODPYTHON	"Python Lang Suppot" on \
+		MODPOSIXTIMER	"Posix timer (New/Testing)" off \
+		MODXMLCURL	"XML dynamically control of FreeSWITCH" on \
+		MODXMLRPC	"XML Remote Procedure Calls" on \
+		MODSAYDE	"German Voice Prompts" off \
+		MODSAYES	"Spanish Voice Prompts" off \
+		MODSAYEN	"English Voice Prompts" on \
+		MODSAYFR	"French Voice Prompts" off \
+		MODSAYHE	"Hebrew Voice Prompts" off \
+		MODSAYHU	"Hungarian Voice Propmts" off \
+		MODSAYIT	"Italian Voice Propmts" off \
+		MODSAYNL	"Dutch Voice Propmts" off \
+		MODSAYPT	"Portuguese Voice Propmts" off \
+		MODSAYRU	"Russian Voice Propmts" off \
+		MODSAYTH	"Thai Voice Propmts" off \
+		MODSAYZH	"Chinese Voice Propmts" off
 
 .include <bsd.port.options.mk>
 
@@ -152,83 +181,56 @@
 CFLAGS+=	-fPIC
 .endif
 
-.for i in MODFLITE MODPOCKETSPHINX MODCIDLOOKUP MODDPDIRECTORY MODEASYROUTE MODLCR MODSOUNDTOUCH MODRSS \
-	MODSNOM MODAVMD MODVMD MODSPY MODAMRWB MODCELT MODMULTICAST MODPORTAUDIO MODCURL MODXMLCURL \
-	MODSAYDE MODSAYEN MODSAYES MODSAYFR MODSAYHE MODSAYHU MODSAYIT MODSAYNL MODSAYRU MODSAYTH MODSAYZH \
-	MODNIBBLEBILL MODDINGALING MODDIRECTORY MODMEMCACHE MODPASTREAM MODSHELLSTREAM 	MODSILK MODUNIMRCP \
-	MODTTSCMDLINE MODDISTRIBUTOR MODSNAPSHOT MODSKINNY EXTENSIONS MODCALLCENTER MODCODEC2 MODFSK MODOPUS \
-	MODDPASTERISK MODRTMP SAMPLECONFIGS MODBLACKLIST MODHTTPCACHE MODEVENTZMQ
-.if !defined(WITH_${i})
-PLIST_SUB+=	WITH_${i}="@comment "
+.if defined(WITH_VMPATCH)
+CONFIGURE_ARGS+=	--with-voicemaildir=${VARBASE}/spool/${PORTNAME}/voicemail
+.endif
+
+.for i in  ${OPTIONS:Non:Noff:C/".*"//}
+.if defined(WITH_${i})
+PLIST_SUB+=	${i}=""
 .else
-PLIST_SUB+=	WITH_${i}=""
+PLIST_SUB+=	${i}="@comment "
 .endif
 .endfor
 
-.if !defined(WITH_MODFREETDM)
-PLIST_SUB+=	 WITH_MODFREETDM="@comment "
-.else
+.if defined(WITH_MODFREETDM)
 .if ${OSVERSION} < 703000 || (${OSVERSION} >= 800000 && ${OSVERSION} < 800108)
 IGNORE=	sorry you can not use mod_freetdm on this version of freebsd ( dahdi support broken ) please update
-.endif
-PLIST_SUB+=	WITH_MODFREETDM=""
+.else
 CONFIGURE_ARGS+=	--with-libpri=${LOCALBASE}
-BUILD_DEPENDS+=	libpri>=1.2.0:${PORTSDIR}/misc/libpri \
-		${LOCALBASE}/include/dahdi/wctdm_user.h:${PORTSDIR}/misc/dahdi
+BUILD_DEPENDS+=	${LOCALBASE}/include/dahdi/wctdm_user.h:${PORTSDIR}/misc/dahdi
 LIB_DEPENDS+=	pri:${PORTSDIR}/misc/libpri
-RUN_DEPENDS+=	${LOCALBASE}/include/dahdi/wctdm_user.h:${PORTSDIR}/misc/dahdi \
-		${LOCALBASE}/lib/dahdi/dahdi.ko:${PORTSDIR}/misc/dahdi-kmod
+RUN_DEPENDS+=	${LOCALBASE}/include/dahdi/wctdm_user.h:${PORTSDIR}/misc/dahdi
+.endif
 .endif
 
-.if !defined(WITH_MODSHOUT)
-PLIST_SUB+=	WITH_MODSHOUT="@comment "
-.else
-PLIST_SUB+=	WITH_MODSHOUT=""
+.if defined(WITH_MODSHOUT)
 LIB_DEPENDS+=	vorbis:${PORTSDIR}/audio/libvorbis
 .endif
 
-.if !defined(WITH_MODPERL)
-PLIST_SUB+=	WITH_MODPERL="@comment "
-.else
-PLIST_SUB+=	WITH_MODPERL=""
+.if defined(WITH_MODPERL)
 LIB_DEPENDS+=	gdbm:${PORTSDIR}/databases/gdbm \
 		db:${PORTSDIR}/databases/db42
 .endif
 
-.if !defined(WITH_MODERLANGEVENT)
-PLIST_SUB+=	WITH_MODERLANGEVENT="@comment "
-.else
-PLIST_SUB+=	WITH_MODERLANGEVENT=""
+.if defined(WITH_MODERLANGEVENT)
 BUILD_DEPENDS+=	${LOCALBASE}/lib/erlang/usr/include/erl_driver.h:${PORTSDIR}/lang/erlang-lite
 .endif
 
-.if !defined(WITH_MODPYTHON)
-PLIST_SUB+=	WITH_MODPYTHON="@comment "
-.else
-PLIST_SUB+=	WITH_MODPYTHON=""
+.if defined(WITH_MODPYTHON)
 USE_PYTHON=	yes
 .endif
 
-.if !defined(WITH_MODCDRPGCSV)
-PLIST_SUB+=	WITH_MODCDRPGCSV="@comment "
-.else
-PLIST_SUB+=	WITH_MODCDRPGCSV=""
+.if defined(WITH_MODCDRPGCSV)
 USE_PGSQL=	yes
-#WITH_PGSQL_VER=	90
 .endif
 
-.if !defined(WITH_MODSNMP)
-PLIST_SUB+=	WITH_MODSNMP="@comment "
-.else
-PLIST_SUB+=	WITH_MODSNMP=""
+.if defined(WITH_MODSNMP)
 BUILD_DEPENDS+=	${LOCALBASE}/include/net-snmp/definitions.h:${PORTSDIR}/net-mgmt/net-snmp
 RUN_DEPENDS+=	${LOCALBASE}/include/net-snmp/definitions.h:${PORTSDIR}/net-mgmt/net-snmp
 .endif
 
-.if !defined(WITH_MODLADSPA)
-PLIST_SUB+=	WITH_MODLADSPA="@comment "
-.else
-PLIST_SUB+=	WITH_MODLADSPA=""
+.if defined(WITH_MODLADSPA)
 BUILD_DEPENDS+=	${LOCALBASE}/lib/ladspa/amp.so:${PORTSDIR}/audio/ladspa \
 		${LOCALBASE}/lib/ladspa/tap_autopan.so:${PORTSDIR}/audio/tap-plugins \
 		${LOCALBASE}/lib/ladspa/cmt.so:${PORTSDIR}/audio/cmt \
@@ -245,23 +247,26 @@
 # It's quite cryptic as to why the reinplace doesn't work; there's no mention
 # of lrintl anywhere in any source....
 .if ${OSVERSION} < 800012
-#	${REINPLACE_CMD} -e 's/lrintl/lrint/' \
-#	    ${WRKSRC}/libs/spandsp/src/spandsp/saturated.h
 BROKEN=	Requires lrintl, which is not present on FreeBSD 7
 .endif
 
-post-extract:
-.for file in ${DISTFILES:M*\:[23]:C/\:[23]//}
-	@${CP} ${DISTDIR}/${DIST_SUBDIR}/${file} ${WRKSRC}/libs/
-.endfor
-
 pre-configure:
 	@${REINPLACE_CMD} -e 's|base=http://files.freeswitch.org/downloads/libs/|base=file://${DISTDIR}/${DIST_SUBDIR}/|g' ${WRKSRC}/build/getlib.sh.in
 	@${REINPLACE_CMD} -e 's|2.1.9|2.1.10|g' ${WRKSRC}/src/mod/event_handlers/mod_event_zmq/Makefile
+	@${REINPLACE_CMD} -e 's|<param name="log-auth-failures" value="false"/>|<param name="log-auth-failures" value="true"/>|g' ${WRKSRC}/conf/sip_profiles/internal.xml
+.if defined(WITH_VMPATCH)
+	@${REINPLACE_CMD} -e 's|storage_dir|voicemail_dir|g' ${WRKSRC}/conf/autoload_configs/voicemail.conf.xml
+	@${REINPLACE_CMD} -e 's|storage_dir|voicemail_dir|g' ${WRKSRC}/src/mod/applications/mod_voicemail/mod_voicemail.c
+.endif
+.if defined(WITH_DEBUGMODEOFF)
+	@${REINPLACE_CMD} -e 's|<param name="loglevel" value="debug"/>|<param name="loglevel" value="alert"/>|g' ${WRKSRC}/conf/autoload_configs/switch.conf.xml
+.endif
 .if !defined(WITH_SAMPLECONFIGS)
-	@${REINPLACE_CMD} -e 's|$$(MAKE) samples-conf|##$$(MAKE) samples-conf|g' ${WRKSRC}/Makefile.am
+	@${REINPLACE_CMD} -e 's|\$$(MAKE) samples-conf|##\$$(MAKE) samples-conf|g' ${WRKSRC}/Makefile.am
+.endif
+.if defined(WITH_REBOOTSTRAP)
+	cd ${WRKSRC} && ./rebootstrap.sh
 .endif
-	cd ${WRKSRC} && ./bootstrap.sh
 
 post-configure:
 .for i in mod_unimrcp mod_flite mod_pocketsphinx
@@ -274,12 +279,13 @@
 .endif
 .for i in mod_cidlookup mod_easyroute mod_lcr mod_soundtouch mod_rss mod_snom \
 	mod_vmd mod_avmd mod_spy mod_curl mod_nibblebill mod_memcache mod_directory mod_distributor \
-	mod_snapshot mod_callcenter mod_fsk mod_ladspa mod_blacklist mod_http_cache
+	mod_snapshot mod_callcenter mod_fsk mod_ladspa mod_blacklist mod_http_cache mod_abstraction \
+	mod_voicemail_ivr mod_httapi
 .if defined(WITH_${i:C/_//g:U})
 	@${REINPLACE_CMD} -e 's|#\(applications/${i}\)|\1|g' ${WRKSRC}/modules.conf
 .endif
 .endfor
-.for i in mod_amrwb mod_celt mod_silk mod_codec2 mod_opus
+.for i in mod_amrwb mod_celt mod_silk mod_codec2 mod_opus mod_isac
 .if defined(WITH_${i:C/_//g:U})
 	@${REINPLACE_CMD} -e 's|#\(codecs/${i}\)|\1|g' ${WRKSRC}/modules.conf
 .endif
@@ -292,7 +298,7 @@
 .if defined(WITH_MODPASTREAM)
 	@${REINPLACE_CMD} -e 's|#formats/mod_portaudio_stream|formats/mod_portaudio_stream|g' ${WRKSRC}/modules.conf
 .endif
-.for i in mod_say_de mod_say_es mod_say_en mod_say_fr mod_say_he mod_say_hu mod_say_it mod_say_nl mod_say_ru mod_say_th mod_say_zh
+.for i in mod_say_de mod_say_es mod_say_en mod_say_fr mod_say_he mod_say_hu mod_say_it mod_say_nl mod_say_pt mod_say_ru mod_say_th mod_say_zh
 .if defined(WITH_${i:C/_//g:U})
 	@${REINPLACE_CMD} -e 's|#\(say/${i}\)|\1|g' ${WRKSRC}/modules.conf
 .endif
@@ -302,7 +308,7 @@
 	@${REINPLACE_CMD} -e 's|#\(languages/${i}\)|\1|g' ${WRKSRC}/modules.conf
 .endif
 .endfor
-.for i in mod_skinny mod_portaudio mod_dingaling mod_rtmp
+.for i in mod_skinny mod_portaudio mod_dingaling mod_rtmp mod_khomp
 .if defined(WITH_${i:C/_//g:U})
 	@${REINPLACE_CMD} -e 's|#\(endpoints/${i}\)|\1|g' ${WRKSRC}/modules.conf
 .endif
@@ -322,6 +328,9 @@
 .if defined(WITH_MODCDRPGCSV)
 	@${REINPLACE_CMD} -e 's|#event_handlers/mod_cdr_pg_csv|event_handlers/mod_cdr_pg_csv|g' ${WRKSRC}/modules.conf
 .endif
+.if defined(WITH_MODCDRMONGO)
+	@${REINPLACE_CMD} -e 's|#event_handlers/mod_cdr_mongodb|event_handlers/mod_cdr_mongodb|g' ${WRKSRC}/modules.conf
+.endif
 .if defined(WITH_MODSNMP)
 	@${REINPLACE_CMD} -e 's|#event_handlers/mod_snmp|event_handlers/mod_snmp|g' ${WRKSRC}/modules.conf
 .endif
@@ -334,64 +343,38 @@
 .if defined(WITH_MODEVENTZMQ)
 	@${REINPLACE_CMD} -e 's|#event_handlers/mod_event_zmq|event_handlers/mod_event_zmq|g' ${WRKSRC}/modules.conf
 .endif
+.if defined(WITH_MODXMLODBC)
+	@${REINPLACE_CMD} -e 's|#../../contrib/mod/xml_int/mod_xml_odbc|../../contrib/mod/xml_int/mod_xml_odbc|g' ${WRKSRC}/modules.conf
+.endif
+.if defined(WITH_MODPOSIXTIMER)
+	@${REINPLACE_CMD} -e 's|#timers/mod_posix_timer|timers/mod_posix_timer|g' ${WRKSRC}/modules.conf
+.endif
 
 pre-install:
 	@${CHMOD} 664 ${WRKSRC}/libs/freetdm/conf/*
-.if !defined(WITH_EXTENSIONS)
+.if !defined(WITH_DEFAULTEXTENS)
 	@${FIND} ${WRKSRC}/conf/directory/default -type f -name '*.xml' -delete
 .endif
+.if !defined(WITH_SAMPLECONFIGS)
+.for i in ${SAMPLESDIR}
+	@${MKDIR} ${ETCDIR}/${i}
+.endfor
+.endif
+	@${FIND} ${PREFIX}/etc/${BASE_PORTNAME}/. -type d | ${XARGS} ${CHMOD} 770
 
 post-install:
 	@${SETENV} PKG_PREFIX=${PREFIX} \
 	    ${SH} ${PKGINSTALL} ${BASE_PORTNAME} POST-INSTALL
-.if !defined(WITH_SAMPLECONFIGS)
-	@${MKDIR} ${PREFIX}/etc/${BASE_PORTNAME}/conf
-	@${MKDIR} ${PREFIX}/etc/${BASE_PORTNAME}/conf/skinny_profiles
-	@${MKDIR} ${PREFIX}/etc/${BASE_PORTNAME}/conf/sip_profiles/internal
-	@${MKDIR} ${PREFIX}/etc/${BASE_PORTNAME}/conf/sip_profiles/external
-	@${MKDIR} ${PREFIX}/etc/${BASE_PORTNAME}/conf/sip_profiles
-	@${MKDIR} ${PREFIX}/etc/${BASE_PORTNAME}/conf/mrcp_profiles
-	@${MKDIR} ${PREFIX}/etc/${BASE_PORTNAME}/conf/lang/ru/vm
-	@${MKDIR} ${PREFIX}/etc/${BASE_PORTNAME}/conf/lang/ru/dir
-	@${MKDIR} ${PREFIX}/etc/${BASE_PORTNAME}/conf/lang/ru/demo
-	@${MKDIR} ${PREFIX}/etc/${BASE_PORTNAME}/conf/lang/ru
-	@${MKDIR} ${PREFIX}/etc/${BASE_PORTNAME}/conf/lang/he/vm
-	@${MKDIR} ${PREFIX}/etc/${BASE_PORTNAME}/conf/lang/he/dir
-	@${MKDIR} ${PREFIX}/etc/${BASE_PORTNAME}/conf/lang/he/demo
-	@${MKDIR} ${PREFIX}/etc/${BASE_PORTNAME}/conf/lang/he
-	@${MKDIR} ${PREFIX}/etc/${BASE_PORTNAME}/conf/lang/fr/vm
-	@${MKDIR} ${PREFIX}/etc/${BASE_PORTNAME}/conf/lang/fr/dir
-	@${MKDIR} ${PREFIX}/etc/${BASE_PORTNAME}/conf/lang/fr/demo
-	@${MKDIR} ${PREFIX}/etc/${BASE_PORTNAME}/conf/lang/fr
-	@${MKDIR} ${PREFIX}/etc/${BASE_PORTNAME}/conf/lang/en/vm
-	@${MKDIR} ${PREFIX}/etc/${BASE_PORTNAME}/conf/lang/en/ivr
-	@${MKDIR} ${PREFIX}/etc/${BASE_PORTNAME}/conf/lang/en/dir
-	@${MKDIR} ${PREFIX}/etc/${BASE_PORTNAME}/conf/lang/en/demo
-	@${MKDIR} ${PREFIX}/etc/${BASE_PORTNAME}/conf/lang/en
-	@${MKDIR} ${PREFIX}/etc/${BASE_PORTNAME}/conf/lang/de/vm
-	@${MKDIR} ${PREFIX}/etc/${BASE_PORTNAME}/conf/lang/de/demo
-	@${MKDIR} ${PREFIX}/etc/${BASE_PORTNAME}/conf/lang/de
-	@${MKDIR} ${PREFIX}/etc/${BASE_PORTNAME}/conf/lang
-	@${MKDIR} ${PREFIX}/etc/${BASE_PORTNAME}/conf/jingle_profiles
-	@${MKDIR} ${PREFIX}/etc/${BASE_PORTNAME}/conf/ivr_menus
-	@${MKDIR} ${PREFIX}/etc/${BASE_PORTNAME}/conf/directory/default
-	@${MKDIR} ${PREFIX}/etc/${BASE_PORTNAME}/conf/directory
-	@${MKDIR} ${PREFIX}/etc/${BASE_PORTNAME}/conf/dialplan/skinny-patterns
-	@${MKDIR} ${PREFIX}/etc/${BASE_PORTNAME}/conf/dialplan/public
-	@${MKDIR} ${PREFIX}/etc/${BASE_PORTNAME}/conf/dialplan/default
-	@${MKDIR} ${PREFIX}/etc/${BASE_PORTNAME}/conf/dialplan
-	@${MKDIR} ${PREFIX}/etc/${BASE_PORTNAME}/conf/autoload_configs
-.endif
-.if !defined(WITH_EXTENSIONS)
-	@${MKDIR} ${PREFIX}/etc/${BASE_PORTNAME}/conf/directory/default
-.endif
-	@${FIND} ${PREFIX}/etc/${BASE_PORTNAME}/. -type d | ${XARGS} ${CHMOD} 774
+	@${FIND} ${ETCDIR}/. -type d | ${XARGS} ${CHMOD} 770
 	@${MKDIR} ${PREFIX}/share/${BASE_PORTNAME}/sounds
-	@${CHMOD} -R 774 ${PREFIX}/share/${BASE_PORTNAME}
-.if defined(WITH_SAMPLECONFIGS)
-	@for i in $$(${FIND} ${PREFIX}/etc/${BASE_PORTNAME}/conf/ -type f -name '*.sample'); do if [ ! -f $${i%.sample} ]; then ${CP} -p $$i $${i%.sample}; fi; done
+	@${CHMOD} -R 770 ${PREFIX}/share/${BASE_PORTNAME}
+	@${INSTALL} -o ${FREESWITCH_USER} -g ${FREESWITCH_GROUP} -m 664 ${WRKSRC}/conf/freeswitch.xml ${ETCDIR}/conf/freeswitch.xml
+	@${INSTALL} -o ${FREESWITCH_USER} -g ${FREESWITCH_GROUP} -m 664 ${WRKSRC}/conf/vars.xml ${ETCDIR}/conf/vars.xml
+.if defined(WITH_USESMPLCNFGS)
+	@for i in $$(${FIND} ${ETCDIR}/conf/ -type f -name '*.sample'); do if [ ! -f $${i%.sample} ]; then ${CP} -p $$i $${i%.sample}; fi; done
+	@for i in $$(${FIND} ${WWWDIR}/htdocs/ -type f -name '*.sample'); do if [ ! -f $${i%.sample} ]; then ${CP} -p $$i $${i%.sample}; fi; done
 .endif
-	@for i in $$(${FIND} ${PREFIX}/www/${BASE_PORTNAME}/htdocs/ -type f -name '*.sample'); do if [ ! -f $${i%.sample} ]; then ${CP} -p $$i $${i%.sample}; fi; done
-	@${CAT} ${PKGMESSAGE}
+	@${FIND} ${ETCDIR}/. -type f | ${XARGS} ${CHMOD} 660
+	@${FIND} ${WWWDIR}/. -type f | ${XARGS} ${CHMOD} 660
 
 .include <bsd.port.mk>
Index: distinfo
===================================================================
RCS file: /home/ncvs/ports/net/freeswitch-core/distinfo,v
retrieving revision 1.5
diff -u -r1.5 distinfo
--- distinfo	30 Oct 2011 19:31:57 -0000	1.5
+++ distinfo	14 Mar 2012 18:07:49 -0000
@@ -1,5 +1,5 @@
-SHA256 (freeswitch/freeswitch-1.0.7.1.tar.gz) = 180db5eb11bc35d383a143ee17ed15092ca1f0651afe93fe6fc2b7f7c35e4dbb
-SIZE (freeswitch/freeswitch-1.0.7.1.tar.gz) = 36116764
+SHA256 (freeswitch/freeswitch-1.2.0.tar.gz) = c51883479c6df9a8907347f28f12b039c298a292e50baea872534f41899fb1e4
+SIZE (freeswitch/freeswitch-1.2.0.tar.gz) = 45829109
 SHA256 (freeswitch/opus-0.9.0.tar.gz) = b2f75c4ac5ab837845eb028413fae2a28754bfb0a6d76416e2af1441ef447649
 SIZE (freeswitch/opus-0.9.0.tar.gz) = 1255227
 SHA256 (freeswitch/celt-0.10.0.tar.gz) = 147c5bc8c6a37b2ad2c8b8af17c91cb35494421ec9b68110018a4bcec72e45dc
Index: pkg-plist
===================================================================
RCS file: /home/ncvs/ports/net/freeswitch-core/pkg-plist,v
retrieving revision 1.8
diff -u -r1.8 pkg-plist
--- pkg-plist	30 Oct 2011 19:31:57 -0000	1.8
+++ pkg-plist	14 Mar 2012 18:07:50 -0000
@@ -1,4 +1,4 @@
-%%WITH_SAMPLECONFIGS%%@unexec for i in $(find %D/etc/freeswitch/conf/ -type f -name \*.xml -o -name \*.ttml -o -name \*.tpl -o -name \*.conf -o -name \*.types); do if cmp "$i" "${i}.sample"; then rm "$i"; fi; done
+%%USESMPLCNFGS%%@unexec for i in $(find %D/etc/freeswitch/conf/ -type f -name \*.xml -o -name \*.ttml -o -name \*.tpl -o -name \*.conf -o -name \*.types); do if cmp "$i" "${i}.sample"; then rm "$i"; fi; done
 bin/freeswitch
 bin/fs_cli
 bin/fs_encode
@@ -6,178 +6,184 @@
 bin/fsxs
 bin/gentls_cert
 bin/tone2wav
-%%WITH_SAMPLECONFIGS%%etc/freeswitch/conf/autoload_configs/acl.conf.xml.sample
-%%WITH_SAMPLECONFIGS%%etc/freeswitch/conf/autoload_configs/alsa.conf.xml.sample
-%%WITH_SAMPLECONFIGS%%etc/freeswitch/conf/autoload_configs/blacklist.conf.xml.sample
-%%WITH_SAMPLECONFIGS%%etc/freeswitch/conf/autoload_configs/callcenter.conf.xml.sample
-%%WITH_SAMPLECONFIGS%%etc/freeswitch/conf/autoload_configs/cdr_csv.conf.xml.sample
-%%WITH_SAMPLECONFIGS%%etc/freeswitch/conf/autoload_configs/cdr_mongodb.conf.xml.sample
-%%WITH_SAMPLECONFIGS%%etc/freeswitch/conf/autoload_configs/cdr_pg_csv.conf.xml.sample
-%%WITH_SAMPLECONFIGS%%etc/freeswitch/conf/autoload_configs/cdr_sqlite.conf.xml.sample
-%%WITH_SAMPLECONFIGS%%etc/freeswitch/conf/autoload_configs/cepstral.conf.xml.sample
-%%WITH_SAMPLECONFIGS%%etc/freeswitch/conf/autoload_configs/cidlookup.conf.xml.sample
-%%WITH_SAMPLECONFIGS%%etc/freeswitch/conf/autoload_configs/conference.conf.xml.sample
-%%WITH_SAMPLECONFIGS%%etc/freeswitch/conf/autoload_configs/console.conf.xml.sample
-%%WITH_SAMPLECONFIGS%%etc/freeswitch/conf/autoload_configs/db.conf.xml.sample
-%%WITH_SAMPLECONFIGS%%etc/freeswitch/conf/autoload_configs/dialplan_directory.conf.xml.sample
-%%WITH_SAMPLECONFIGS%%etc/freeswitch/conf/autoload_configs/dingaling.conf.xml.sample
-%%WITH_SAMPLECONFIGS%%etc/freeswitch/conf/autoload_configs/directory.conf.xml.sample
-%%WITH_SAMPLECONFIGS%%etc/freeswitch/conf/autoload_configs/distributor.conf.xml.sample
-%%WITH_SAMPLECONFIGS%%etc/freeswitch/conf/autoload_configs/easyroute.conf.xml.sample
-%%WITH_SAMPLECONFIGS%%etc/freeswitch/conf/autoload_configs/enum.conf.xml.sample
-%%WITH_SAMPLECONFIGS%%etc/freeswitch/conf/autoload_configs/erlang_event.conf.xml.sample
-%%WITH_SAMPLECONFIGS%%etc/freeswitch/conf/autoload_configs/event_multicast.conf.xml.sample
-%%WITH_SAMPLECONFIGS%%etc/freeswitch/conf/autoload_configs/event_socket.conf.xml.sample
-%%WITH_SAMPLECONFIGS%%etc/freeswitch/conf/autoload_configs/fax.conf.xml.sample
-%%WITH_SAMPLECONFIGS%%etc/freeswitch/conf/autoload_configs/fifo.conf.xml.sample
-%%WITH_MODFREETDM%%etc/freeswitch/conf/autoload_configs/freetdm.conf.xml.sample
-%%WITH_SAMPLECONFIGS%%etc/freeswitch/conf/autoload_configs/hash.conf.xml.sample
-%%WITH_SAMPLECONFIGS%%etc/freeswitch/conf/autoload_configs/http_cache.conf.xml.sample
-%%WITH_SAMPLECONFIGS%%etc/freeswitch/conf/autoload_configs/ivr.conf.xml.sample
-%%WITH_SAMPLECONFIGS%%etc/freeswitch/conf/autoload_configs/java.conf.xml.sample
-%%WITH_SAMPLECONFIGS%%etc/freeswitch/conf/autoload_configs/lcr.conf.xml.sample
-%%WITH_SAMPLECONFIGS%%etc/freeswitch/conf/autoload_configs/local_stream.conf.xml.sample
-%%WITH_SAMPLECONFIGS%%etc/freeswitch/conf/autoload_configs/logfile.conf.xml.sample
-%%WITH_SAMPLECONFIGS%%etc/freeswitch/conf/autoload_configs/lua.conf.xml.sample
-%%WITH_SAMPLECONFIGS%%etc/freeswitch/conf/autoload_configs/memcache.conf.xml.sample
-%%WITH_SAMPLECONFIGS%%etc/freeswitch/conf/autoload_configs/modules.conf.xml.sample
-%%WITH_SAMPLECONFIGS%%etc/freeswitch/conf/autoload_configs/mongo.conf.xml.sample
-%%WITH_SAMPLECONFIGS%%etc/freeswitch/conf/autoload_configs/nibblebill.conf.xml.sample
-%%WITH_SAMPLECONFIGS%%etc/freeswitch/conf/autoload_configs/opal.conf.xml.sample
-%%WITH_SAMPLECONFIGS%%etc/freeswitch/conf/autoload_configs/osp.conf.xml.sample
-%%WITH_SAMPLECONFIGS%%etc/freeswitch/conf/autoload_configs/perl.conf.xml.sample
-%%WITH_SAMPLECONFIGS%%etc/freeswitch/conf/autoload_configs/pocketsphinx.conf.xml.sample
-%%WITH_SAMPLECONFIGS%%etc/freeswitch/conf/autoload_configs/portaudio.conf.xml.sample
-%%WITH_SAMPLECONFIGS%%etc/freeswitch/conf/autoload_configs/post_load_modules.conf.xml.sample
-%%WITH_SAMPLECONFIGS%%etc/freeswitch/conf/autoload_configs/presence_map.conf.xml.sample
-%%WITH_SAMPLECONFIGS%%etc/freeswitch/conf/autoload_configs/python.conf.xml.sample
-%%WITH_SAMPLECONFIGS%%etc/freeswitch/conf/autoload_configs/redis.conf.xml.sample
-%%WITH_SAMPLECONFIGS%%etc/freeswitch/conf/autoload_configs/rtmp.conf.xml.sample
-%%WITH_SAMPLECONFIGS%%etc/freeswitch/conf/autoload_configs/rss.conf.xml.sample
-%%WITH_SAMPLECONFIGS%%etc/freeswitch/conf/autoload_configs/sangoma_codec.conf.xml.sample
-%%WITH_SAMPLECONFIGS%%etc/freeswitch/conf/autoload_configs/shout.conf.xml.sample
-%%WITH_SAMPLECONFIGS%%etc/freeswitch/conf/autoload_configs/skinny.conf.xml.sample
-%%WITH_SAMPLECONFIGS%%etc/freeswitch/conf/autoload_configs/sofia.conf.xml.sample
-%%WITH_SAMPLECONFIGS%%etc/freeswitch/conf/autoload_configs/spandsp.conf.xml.sample
-%%WITH_SAMPLECONFIGS%%etc/freeswitch/conf/autoload_configs/spidermonkey.conf.xml.sample
-%%WITH_SAMPLECONFIGS%%etc/freeswitch/conf/autoload_configs/switch.conf.xml.sample
-%%WITH_SAMPLECONFIGS%%etc/freeswitch/conf/autoload_configs/syslog.conf.xml.sample
-%%WITH_SAMPLECONFIGS%%etc/freeswitch/conf/autoload_configs/timezones.conf.xml.sample
-%%WITH_SAMPLECONFIGS%%etc/freeswitch/conf/autoload_configs/tts_commandline.conf.xml.sample
-%%WITH_SAMPLECONFIGS%%etc/freeswitch/conf/autoload_configs/unicall.conf.xml.sample
-%%WITH_SAMPLECONFIGS%%etc/freeswitch/conf/autoload_configs/unimrcp.conf.xml.sample
-%%WITH_SAMPLECONFIGS%%etc/freeswitch/conf/autoload_configs/voicemail.conf.xml.sample
-%%WITH_SAMPLECONFIGS%%etc/freeswitch/conf/autoload_configs/xml_cdr.conf.xml.sample
-%%WITH_SAMPLECONFIGS%%etc/freeswitch/conf/autoload_configs/xml_curl.conf.xml.sample
-%%WITH_SAMPLECONFIGS%%etc/freeswitch/conf/autoload_configs/xml_rpc.conf.xml.sample
-%%WITH_SAMPLECONFIGS%%etc/freeswitch/conf/autoload_configs/zeroconf.conf.xml.sample
-%%WITH_SAMPLECONFIGS%%etc/freeswitch/conf/chatplan/default.xml.sample
-%%WITH_SAMPLECONFIGS%%etc/freeswitch/conf/dialplan/default.xml.sample
-%%WITH_SAMPLECONFIGS%%etc/freeswitch/conf/dialplan/default/00_ladspa.xml.sample
-%%WITH_SAMPLECONFIGS%%etc/freeswitch/conf/dialplan/default/00_pizza_demo.xml.sample
-%%WITH_SAMPLECONFIGS%%etc/freeswitch/conf/dialplan/default/01_example.com.xml.sample
-%%WITH_SAMPLECONFIGS%%etc/freeswitch/conf/dialplan/default/01_Talking_Clock.xml.sample
-%%WITH_SAMPLECONFIGS%%etc/freeswitch/conf/dialplan/features.xml.sample
-%%WITH_SAMPLECONFIGS%%etc/freeswitch/conf/dialplan/public.xml.sample
-%%WITH_SAMPLECONFIGS%%etc/freeswitch/conf/dialplan/public/00_inbound_did.xml.sample
-%%WITH_SAMPLECONFIGS%%etc/freeswitch/conf/dialplan/skinny-patterns.xml.sample
-%%WITH_SAMPLECONFIGS%%etc/freeswitch/conf/dialplan/skinny-patterns/20-Demo.xml.sample
-%%WITH_SAMPLECONFIGS%%etc/freeswitch/conf/dialplan/skinny-patterns/20-Local_extension.xml.sample
-%%WITH_SAMPLECONFIGS%%etc/freeswitch/conf/dialplan/skinny-patterns/90-External.xml.sample
-%%WITH_SAMPLECONFIGS%%etc/freeswitch/conf/dialplan/skinny-patterns/99-Default_Drop.xml.sample
-%%WITH_SAMPLECONFIGS%%etc/freeswitch/conf/directory/default.xml.sample
-%%WITH_EXTENSIONS%%etc/freeswitch/conf/directory/default/1000.xml.sample
-%%WITH_EXTENSIONS%%etc/freeswitch/conf/directory/default/1001.xml.sample
-%%WITH_EXTENSIONS%%etc/freeswitch/conf/directory/default/1002.xml.sample
-%%WITH_EXTENSIONS%%etc/freeswitch/conf/directory/default/1003.xml.sample
-%%WITH_EXTENSIONS%%etc/freeswitch/conf/directory/default/1004.xml.sample
-%%WITH_EXTENSIONS%%etc/freeswitch/conf/directory/default/1005.xml.sample
-%%WITH_EXTENSIONS%%etc/freeswitch/conf/directory/default/1006.xml.sample
-%%WITH_EXTENSIONS%%etc/freeswitch/conf/directory/default/1007.xml.sample
-%%WITH_EXTENSIONS%%etc/freeswitch/conf/directory/default/1008.xml.sample
-%%WITH_EXTENSIONS%%etc/freeswitch/conf/directory/default/1009.xml.sample
-%%WITH_EXTENSIONS%%etc/freeswitch/conf/directory/default/1010.xml.sample
-%%WITH_EXTENSIONS%%etc/freeswitch/conf/directory/default/1011.xml.sample
-%%WITH_EXTENSIONS%%etc/freeswitch/conf/directory/default/1012.xml.sample
-%%WITH_EXTENSIONS%%etc/freeswitch/conf/directory/default/1013.xml.sample
-%%WITH_EXTENSIONS%%etc/freeswitch/conf/directory/default/1014.xml.sample
-%%WITH_EXTENSIONS%%etc/freeswitch/conf/directory/default/1015.xml.sample
-%%WITH_EXTENSIONS%%etc/freeswitch/conf/directory/default/1016.xml.sample
-%%WITH_EXTENSIONS%%etc/freeswitch/conf/directory/default/1017.xml.sample
-%%WITH_EXTENSIONS%%etc/freeswitch/conf/directory/default/1018.xml.sample
-%%WITH_EXTENSIONS%%etc/freeswitch/conf/directory/default/1019.xml.sample
-%%WITH_EXTENSIONS%%etc/freeswitch/conf/directory/default/brian.xml.sample
-%%WITH_EXTENSIONS%%etc/freeswitch/conf/directory/default/default.xml.sample
-%%WITH_EXTENSIONS%%etc/freeswitch/conf/directory/default/example.com.xml.sample
-%%WITH_EXTENSIONS%%etc/freeswitch/conf/directory/default/skinny-example.xml.sample
-%%WITH_SAMPLECONFIGS%%etc/freeswitch/conf/extensions.conf.sample
-%%WITH_SAMPLECONFIGS%%etc/freeswitch/conf/freeswitch.xml.sample
-%%WITH_MODFREETDM%%etc/freeswitch/conf/freetdm.conf.sample
-%%WITH_SAMPLECONFIGS%%etc/freeswitch/conf/fur_elise.ttml.sample
-%%WITH_SAMPLECONFIGS%%etc/freeswitch/conf/ivr_menus/demo_ivr.xml.sample
-%%WITH_SAMPLECONFIGS%%etc/freeswitch/conf/jingle_profiles/client.xml.sample
-%%WITH_SAMPLECONFIGS%%etc/freeswitch/conf/jingle_profiles/server.xml.sample
-%%WITH_SAMPLECONFIGS%%etc/freeswitch/conf/lang/de/de.xml.sample
-%%WITH_SAMPLECONFIGS%%etc/freeswitch/conf/lang/de/demo/demo.xml.sample
-%%WITH_SAMPLECONFIGS%%etc/freeswitch/conf/lang/de/vm/sounds.xml.sample
-%%WITH_SAMPLECONFIGS%%etc/freeswitch/conf/lang/de/vm/tts.xml.sample
-%%WITH_SAMPLECONFIGS%%etc/freeswitch/conf/lang/en/demo/demo-ivr.xml.sample
-%%WITH_SAMPLECONFIGS%%etc/freeswitch/conf/lang/en/demo/demo.xml.sample
-%%WITH_SAMPLECONFIGS%%etc/freeswitch/conf/lang/en/dir/sounds.xml.sample
-%%WITH_SAMPLECONFIGS%%etc/freeswitch/conf/lang/en/dir/tts.xml.sample
-%%WITH_SAMPLECONFIGS%%etc/freeswitch/conf/lang/en/en.xml.sample
-%%WITH_SAMPLECONFIGS%%etc/freeswitch/conf/lang/en/ivr/sounds.xml.sample
-%%WITH_SAMPLECONFIGS%%etc/freeswitch/conf/lang/en/vm/sounds.xml.sample
-%%WITH_SAMPLECONFIGS%%etc/freeswitch/conf/lang/en/vm/tts.xml.sample
-%%WITH_SAMPLECONFIGS%%etc/freeswitch/conf/lang/fr/demo/demo.xml.sample
-%%WITH_SAMPLECONFIGS%%etc/freeswitch/conf/lang/fr/dir/sounds.xml.sample
-%%WITH_SAMPLECONFIGS%%etc/freeswitch/conf/lang/fr/dir/tts.xml.sample
-%%WITH_SAMPLECONFIGS%%etc/freeswitch/conf/lang/fr/fr.xml.sample
-%%WITH_SAMPLECONFIGS%%etc/freeswitch/conf/lang/fr/vm/sounds.xml.sample
-%%WITH_SAMPLECONFIGS%%etc/freeswitch/conf/lang/he/demo/demo-ivr.xml.sample
-%%WITH_SAMPLECONFIGS%%etc/freeswitch/conf/lang/he/demo/demo.xml.sample
-%%WITH_SAMPLECONFIGS%%etc/freeswitch/conf/lang/he/dir/sounds.xml.sample
-%%WITH_SAMPLECONFIGS%%etc/freeswitch/conf/lang/he/he.xml.sample
-%%WITH_SAMPLECONFIGS%%etc/freeswitch/conf/lang/he/vm/sounds.xml.sample
-%%WITH_SAMPLECONFIGS%%etc/freeswitch/conf/lang/ru/demo/demo-ivr.xml.sample
-%%WITH_SAMPLECONFIGS%%etc/freeswitch/conf/lang/ru/demo/demo.xml.sample
-%%WITH_SAMPLECONFIGS%%etc/freeswitch/conf/lang/ru/dir/sounds.xml.sample
-%%WITH_SAMPLECONFIGS%%etc/freeswitch/conf/lang/ru/dir/tts.xml.sample
-%%WITH_SAMPLECONFIGS%%etc/freeswitch/conf/lang/ru/ru.xml.sample
-%%WITH_SAMPLECONFIGS%%etc/freeswitch/conf/lang/ru/vm/sounds.xml.sample
-%%WITH_SAMPLECONFIGS%%etc/freeswitch/conf/lang/ru/vm/tts.xml.sample
-%%WITH_SAMPLECONFIGS%%etc/freeswitch/conf/mime.types.sample
-%%WITH_SAMPLECONFIGS%%etc/freeswitch/conf/mrcp_profiles/loquendo-7-mrcp-v2.xml.sample
-%%WITH_SAMPLECONFIGS%%etc/freeswitch/conf/mrcp_profiles/nuance-1.0.0-mrcp-v1.xml.sample
-%%WITH_SAMPLECONFIGS%%etc/freeswitch/conf/mrcp_profiles/nuance-5.0-mrcp-v1.xml.sample
-%%WITH_SAMPLECONFIGS%%etc/freeswitch/conf/mrcp_profiles/nuance-5.0-mrcp-v2.xml.sample
-%%WITH_SAMPLECONFIGS%%etc/freeswitch/conf/mrcp_profiles/unimrcpserver-mrcp-v1.xml.sample
-%%WITH_SAMPLECONFIGS%%etc/freeswitch/conf/mrcp_profiles/voxeo-prophecy-8.0-mrcp-v1.xml.sample
-%%WITH_SAMPLECONFIGS%%etc/freeswitch/conf/notify-voicemail.tpl.sample
-%%WITH_MODFREETDM%%etc/freeswitch/conf/pika.conf.sample
-%%WITH_SAMPLECONFIGS%%etc/freeswitch/conf/sip_profiles/external.xml.sample
-%%WITH_SAMPLECONFIGS%%etc/freeswitch/conf/sip_profiles/external/example.xml.sample
-%%WITH_SAMPLECONFIGS%%etc/freeswitch/conf/sip_profiles/internal-ipv6.xml.sample
-%%WITH_SAMPLECONFIGS%%etc/freeswitch/conf/sip_profiles/internal.xml.sample
-%%WITH_SAMPLECONFIGS%%etc/freeswitch/conf/sip_profiles/internal/example.xml.sample
-%%WITH_SAMPLECONFIGS%%etc/freeswitch/conf/skinny_profiles/internal.xml.sample
-%%WITH_SAMPLECONFIGS%%etc/freeswitch/conf/tetris.ttml.sample
-%%WITH_MODFREETDM%%etc/freeswitch/conf/tones.conf.sample
-%%WITH_SAMPLECONFIGS%%etc/freeswitch/conf/vars.xml.sample
-%%WITH_SAMPLECONFIGS%%etc/freeswitch/conf/voicemail.tpl.sample
-%%WITH_MODFREETDM%%etc/freeswitch/conf/wanpipe.conf.sample
-%%WITH_SAMPLECONFIGS%%etc/freeswitch/conf/web-vm.tpl.sample
-%%WITH_MODFREETDM%%etc/freeswitch/conf/zt.conf.sample
-%%WITH_SAMPLECONFIGS%%@exec for i in $(find %D/etc/freeswitch/conf/ -type f -name *.sample); do if [ ! -f ${i%%.sample} ]; then cp -rp $i ${i%%.sample}; fi; done
-%%WITH_MODPOCKETSPHINX%%etc/freeswitch/grammar/default.dic
-%%WITH_MODPOCKETSPHINX%%etc/freeswitch/grammar/model/communicator/COPYING
-%%WITH_MODPOCKETSPHINX%%etc/freeswitch/grammar/model/communicator/feat.params
-%%WITH_MODPOCKETSPHINX%%etc/freeswitch/grammar/model/communicator/mdef
-%%WITH_MODPOCKETSPHINX%%etc/freeswitch/grammar/model/communicator/means
-%%WITH_MODPOCKETSPHINX%%etc/freeswitch/grammar/model/communicator/noisedict
-%%WITH_MODPOCKETSPHINX%%etc/freeswitch/grammar/model/communicator/sendump
-%%WITH_MODPOCKETSPHINX%%etc/freeswitch/grammar/model/communicator/transition_matrices
-%%WITH_MODPOCKETSPHINX%%etc/freeswitch/grammar/model/communicator/variances
+%%SAMPLECONFIGS%%etc/freeswitch/conf/autoload_configs/abstraction.conf.xml.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/autoload_configs/acl.conf.xml.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/autoload_configs/alsa.conf.xml.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/autoload_configs/blacklist.conf.xml.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/autoload_configs/callcenter.conf.xml.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/autoload_configs/cdr_csv.conf.xml.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/autoload_configs/cdr_mongodb.conf.xml.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/autoload_configs/cdr_pg_csv.conf.xml.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/autoload_configs/cdr_sqlite.conf.xml.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/autoload_configs/cepstral.conf.xml.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/autoload_configs/cidlookup.conf.xml.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/autoload_configs/conference.conf.xml.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/autoload_configs/console.conf.xml.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/autoload_configs/db.conf.xml.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/autoload_configs/dialplan_directory.conf.xml.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/autoload_configs/dingaling.conf.xml.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/autoload_configs/directory.conf.xml.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/autoload_configs/distributor.conf.xml.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/autoload_configs/easyroute.conf.xml.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/autoload_configs/enum.conf.xml.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/autoload_configs/erlang_event.conf.xml.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/autoload_configs/event_multicast.conf.xml.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/autoload_configs/event_socket.conf.xml.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/autoload_configs/fax.conf.xml.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/autoload_configs/fifo.conf.xml.sample
+%%MODFREETDM%%etc/freeswitch/conf/autoload_configs/freetdm.conf.xml.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/autoload_configs/hash.conf.xml.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/autoload_configs/httapi.conf.xml.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/autoload_configs/http_cache.conf.xml.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/autoload_configs/ivr.conf.xml.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/autoload_configs/java.conf.xml.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/autoload_configs/lcr.conf.xml.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/autoload_configs/local_stream.conf.xml.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/autoload_configs/logfile.conf.xml.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/autoload_configs/lua.conf.xml.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/autoload_configs/memcache.conf.xml.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/autoload_configs/modules.conf.xml.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/autoload_configs/mongo.conf.xml.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/autoload_configs/nibblebill.conf.xml.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/autoload_configs/opal.conf.xml.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/autoload_configs/osp.conf.xml.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/autoload_configs/perl.conf.xml.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/autoload_configs/pocketsphinx.conf.xml.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/autoload_configs/portaudio.conf.xml.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/autoload_configs/post_load_modules.conf.xml.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/autoload_configs/presence_map.conf.xml.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/autoload_configs/python.conf.xml.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/autoload_configs/redis.conf.xml.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/autoload_configs/rtmp.conf.xml.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/autoload_configs/rss.conf.xml.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/autoload_configs/sangoma_codec.conf.xml.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/autoload_configs/shout.conf.xml.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/autoload_configs/skinny.conf.xml.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/autoload_configs/sofia.conf.xml.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/autoload_configs/spandsp.conf.xml.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/autoload_configs/spidermonkey.conf.xml.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/autoload_configs/switch.conf.xml.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/autoload_configs/syslog.conf.xml.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/autoload_configs/timezones.conf.xml.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/autoload_configs/tts_commandline.conf.xml.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/autoload_configs/unicall.conf.xml.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/autoload_configs/unimrcp.conf.xml.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/autoload_configs/voicemail.conf.xml.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/autoload_configs/voicemail_ivr.conf.xml.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/autoload_configs/xml_cdr.conf.xml.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/autoload_configs/xml_curl.conf.xml.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/autoload_configs/xml_rpc.conf.xml.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/autoload_configs/zeroconf.conf.xml.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/chatplan/default.xml.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/dialplan/default.xml.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/dialplan/default/00_ladspa.xml.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/dialplan/default/00_pizza_demo.xml.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/dialplan/default/01_example.com.xml.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/dialplan/default/01_Talking_Clock.xml.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/dialplan/features.xml.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/dialplan/public.xml.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/dialplan/public/00_inbound_did.xml.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/dialplan/skinny-patterns.xml.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/dialplan/skinny-patterns/20-Demo.xml.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/dialplan/skinny-patterns/20-Local_extension.xml.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/dialplan/skinny-patterns/90-External.xml.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/dialplan/skinny-patterns/99-Default_Drop.xml.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/directory/default.xml.sample
+%%DEFAULTEXTENS%%etc/freeswitch/conf/directory/default/1000.xml.sample
+%%DEFAULTEXTENS%%etc/freeswitch/conf/directory/default/1001.xml.sample
+%%DEFAULTEXTENS%%etc/freeswitch/conf/directory/default/1002.xml.sample
+%%DEFAULTEXTENS%%etc/freeswitch/conf/directory/default/1003.xml.sample
+%%DEFAULTEXTENS%%etc/freeswitch/conf/directory/default/1004.xml.sample
+%%DEFAULTEXTENS%%etc/freeswitch/conf/directory/default/1005.xml.sample
+%%DEFAULTEXTENS%%etc/freeswitch/conf/directory/default/1006.xml.sample
+%%DEFAULTEXTENS%%etc/freeswitch/conf/directory/default/1007.xml.sample
+%%DEFAULTEXTENS%%etc/freeswitch/conf/directory/default/1008.xml.sample
+%%DEFAULTEXTENS%%etc/freeswitch/conf/directory/default/1009.xml.sample
+%%DEFAULTEXTENS%%etc/freeswitch/conf/directory/default/1010.xml.sample
+%%DEFAULTEXTENS%%etc/freeswitch/conf/directory/default/1011.xml.sample
+%%DEFAULTEXTENS%%etc/freeswitch/conf/directory/default/1012.xml.sample
+%%DEFAULTEXTENS%%etc/freeswitch/conf/directory/default/1013.xml.sample
+%%DEFAULTEXTENS%%etc/freeswitch/conf/directory/default/1014.xml.sample
+%%DEFAULTEXTENS%%etc/freeswitch/conf/directory/default/1015.xml.sample
+%%DEFAULTEXTENS%%etc/freeswitch/conf/directory/default/1016.xml.sample
+%%DEFAULTEXTENS%%etc/freeswitch/conf/directory/default/1017.xml.sample
+%%DEFAULTEXTENS%%etc/freeswitch/conf/directory/default/1018.xml.sample
+%%DEFAULTEXTENS%%etc/freeswitch/conf/directory/default/1019.xml.sample
+%%DEFAULTEXTENS%%etc/freeswitch/conf/directory/default/brian.xml.sample
+%%DEFAULTEXTENS%%etc/freeswitch/conf/directory/default/default.xml.sample
+%%DEFAULTEXTENS%%etc/freeswitch/conf/directory/default/example.com.xml.sample
+%%DEFAULTEXTENS%%etc/freeswitch/conf/directory/default/skinny-example.xml.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/extensions.conf.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/freeswitch.xml.sample
+etc/freeswitch/conf/freeswitch.xml
+%%MODFREETDM%%etc/freeswitch/conf/freetdm.conf.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/fur_elise.ttml.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/ivr_menus/demo_ivr.xml.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/jingle_profiles/client.xml.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/jingle_profiles/server.xml.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/lang/de/de.xml.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/lang/de/demo/demo.xml.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/lang/de/vm/sounds.xml.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/lang/de/vm/tts.xml.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/lang/en/demo/demo-ivr.xml.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/lang/en/demo/demo.xml.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/lang/en/dir/sounds.xml.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/lang/en/dir/tts.xml.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/lang/en/en.xml.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/lang/en/ivr/sounds.xml.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/lang/en/vm/sounds.xml.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/lang/en/vm/tts.xml.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/lang/en/vm/voicemail_ivr.xml.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/lang/fr/demo/demo.xml.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/lang/fr/dir/sounds.xml.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/lang/fr/dir/tts.xml.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/lang/fr/fr.xml.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/lang/fr/vm/sounds.xml.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/lang/he/demo/demo-ivr.xml.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/lang/he/demo/demo.xml.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/lang/he/dir/sounds.xml.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/lang/he/he.xml.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/lang/he/vm/sounds.xml.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/lang/ru/demo/demo-ivr.xml.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/lang/ru/demo/demo.xml.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/lang/ru/dir/sounds.xml.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/lang/ru/dir/tts.xml.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/lang/ru/ru.xml.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/lang/ru/vm/sounds.xml.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/lang/ru/vm/tts.xml.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/mime.types.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/mrcp_profiles/loquendo-7-mrcp-v2.xml.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/mrcp_profiles/nuance-1.0.0-mrcp-v1.xml.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/mrcp_profiles/nuance-5.0-mrcp-v1.xml.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/mrcp_profiles/nuance-5.0-mrcp-v2.xml.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/mrcp_profiles/unimrcpserver-mrcp-v1.xml.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/mrcp_profiles/voxeo-prophecy-8.0-mrcp-v1.xml.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/notify-voicemail.tpl.sample
+%%MODFREETDM%%etc/freeswitch/conf/pika.conf.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/sip_profiles/external.xml.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/sip_profiles/external/example.xml.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/sip_profiles/internal-ipv6.xml.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/sip_profiles/internal.xml.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/sip_profiles/internal/example.xml.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/skinny_profiles/internal.xml.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/tetris.ttml.sample
+%%MODFREETDM%%etc/freeswitch/conf/tones.conf.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/vars.xml.sample
+etc/freeswitch/conf/vars.xml
+%%SAMPLECONFIGS%%etc/freeswitch/conf/voicemail.tpl.sample
+%%MODFREETDM%%etc/freeswitch/conf/wanpipe.conf.sample
+%%SAMPLECONFIGS%%etc/freeswitch/conf/web-vm.tpl.sample
+%%MODFREETDM%%etc/freeswitch/conf/zt.conf.sample
+%%USESMPLCNFGS%%@exec for i in $(find %D/etc/freeswitch/conf/ -type f -name *.sample); do if [ ! -f ${i%%.sample} ]; then cp -rp $i ${i%%.sample}; fi; done
+%%MODPOCKETSPHINX%%etc/freeswitch/grammar/default.dic
+%%MODPOCKETSPHINX%%etc/freeswitch/grammar/model/communicator/COPYING
+%%MODPOCKETSPHINX%%etc/freeswitch/grammar/model/communicator/feat.params
+%%MODPOCKETSPHINX%%etc/freeswitch/grammar/model/communicator/mdef
+%%MODPOCKETSPHINX%%etc/freeswitch/grammar/model/communicator/means
+%%MODPOCKETSPHINX%%etc/freeswitch/grammar/model/communicator/noisedict
+%%MODPOCKETSPHINX%%etc/freeswitch/grammar/model/communicator/sendump
+%%MODPOCKETSPHINX%%etc/freeswitch/grammar/model/communicator/transition_matrices
+%%MODPOCKETSPHINX%%etc/freeswitch/grammar/model/communicator/variances
 include/freeswitch/libteletone.h
 include/freeswitch/libteletone_detect.h
 include/freeswitch/libteletone_generate.h
@@ -216,19 +222,19 @@
 include/freeswitch/switch_utils.h
 include/freeswitch/switch_xml.h
 include/freeswitch/switch_xml_config.h
-%%WITH_MODFREETDM%%include/freetdm.h
-%%WITH_MODFREETDM%%include/ftdm_declare.h
-%%WITH_MODFREETDM%%include/ftdm_dso.h
-%%WITH_MODFREETDM%%include/ftdm_os.h
-%%WITH_MODFREETDM%%include/ftdm_threadmutex.h
+%%MODFREETDM%%include/freetdm.h
+%%MODFREETDM%%include/ftdm_declare.h
+%%MODFREETDM%%include/ftdm_dso.h
+%%MODFREETDM%%include/ftdm_os.h
+%%MODFREETDM%%include/ftdm_threadmutex.h
 lib/freeswitch/lib/libfreeswitch.a
 lib/freeswitch/lib/libfreeswitch.la
 lib/freeswitch/lib/libfreeswitch.so
 lib/freeswitch/lib/libfreeswitch.so.1
-%%WITH_MODFREETDM%%lib/freeswitch/lib/libfreetdm.a
-%%WITH_MODFREETDM%%lib/freeswitch/lib/libfreetdm.la
-%%WITH_MODFREETDM%%lib/freeswitch/lib/libfreetdm.so
-%%WITH_MODFREETDM%%lib/freeswitch/lib/libfreetdm.so.1
+%%MODFREETDM%%lib/freeswitch/lib/libfreetdm.a
+%%MODFREETDM%%lib/freeswitch/lib/libfreetdm.la
+%%MODFREETDM%%lib/freeswitch/lib/libfreetdm.so
+%%MODFREETDM%%lib/freeswitch/lib/libfreetdm.so.1
 lib/freeswitch/lib/libjs.a
 lib/freeswitch/lib/libjs.la
 lib/freeswitch/lib/libjs.so
@@ -239,91 +245,93 @@
 lib/freeswitch/lib/libplc4.so.1
 lib/freeswitch/lib/libplds4.a
 lib/freeswitch/lib/libplds4.so.1
-%%WITH_MODFREETDM%%lib/freeswitch/mod/ftmod_analog.la
-%%WITH_MODFREETDM%%lib/freeswitch/mod/ftmod_analog.so
-%%WITH_MODFREETDM%%lib/freeswitch/mod/ftmod_analog_em.la
-%%WITH_MODFREETDM%%lib/freeswitch/mod/ftmod_analog_em.so
-%%WITH_MODFREETDM%%lib/freeswitch/mod/ftmod_libpri.la
-%%WITH_MODFREETDM%%lib/freeswitch/mod/ftmod_libpri.so
-%%WITH_MODFREETDM%%lib/freeswitch/mod/ftmod_skel.a
-%%WITH_MODFREETDM%%lib/freeswitch/mod/ftmod_skel.la
-%%WITH_MODFREETDM%%lib/freeswitch/mod/ftmod_skel.so
-%%WITH_MODFREETDM%%lib/freeswitch/mod/ftmod_zt.la
-%%WITH_MODFREETDM%%lib/freeswitch/mod/ftmod_zt.so
+%%MODFREETDM%%lib/freeswitch/mod/ftmod_analog.la
+%%MODFREETDM%%lib/freeswitch/mod/ftmod_analog.so
+%%MODFREETDM%%lib/freeswitch/mod/ftmod_analog_em.la
+%%MODFREETDM%%lib/freeswitch/mod/ftmod_analog_em.so
+%%MODFREETDM%%lib/freeswitch/mod/ftmod_libpri.la
+%%MODFREETDM%%lib/freeswitch/mod/ftmod_libpri.so
+%%MODFREETDM%%lib/freeswitch/mod/ftmod_skel.a
+%%MODFREETDM%%lib/freeswitch/mod/ftmod_skel.la
+%%MODFREETDM%%lib/freeswitch/mod/ftmod_skel.so
+%%MODFREETDM%%lib/freeswitch/mod/ftmod_zt.la
+%%MODFREETDM%%lib/freeswitch/mod/ftmod_zt.so
+%%MODABSTRACTION%%lib/freeswitch/mod/mod_abstraction.la
+%%MODABSTRACTION%%lib/freeswitch/mod/mod_abstraction.so
 lib/freeswitch/mod/mod_amr.la
 lib/freeswitch/mod/mod_amr.so
-%%WITH_MODAMRWB%%lib/freeswitch/mod/mod_amrwb.la
-%%WITH_MODAMRWB%%lib/freeswitch/mod/mod_amrwb.so
-%%WITH_MODAVMD%%lib/freeswitch/mod/mod_avmd.la
-%%WITH_MODAVMD%%lib/freeswitch/mod/mod_avmd.so
+%%MODAMRWB%%lib/freeswitch/mod/mod_amrwb.la
+%%MODAMRWB%%lib/freeswitch/mod/mod_amrwb.so
+%%MODAVMD%%lib/freeswitch/mod/mod_avmd.la
+%%MODAVMD%%lib/freeswitch/mod/mod_avmd.so
 lib/freeswitch/mod/mod_blacklist.la
 lib/freeswitch/mod/mod_blacklist.so
 lib/freeswitch/mod/mod_bv.la
 lib/freeswitch/mod/mod_bv.so
-%%WITH_MODCALLCENTER%%lib/freeswitch/mod/mod_callcenter.la
-%%WITH_MODCALLCENTER%%lib/freeswitch/mod/mod_callcenter.so
+%%MODCALLCENTER%%lib/freeswitch/mod/mod_callcenter.la
+%%MODCALLCENTER%%lib/freeswitch/mod/mod_callcenter.so
 lib/freeswitch/mod/mod_cdr_csv.la
 lib/freeswitch/mod/mod_cdr_csv.so
-%%WITH_MODCDRPGCSV%%lib/freeswitch/mod/mod_cdr_pg_csv.la
-%%WITH_MODCDRPGCSV%%lib/freeswitch/mod/mod_cdr_pg_csv.so
+%%MODCDRPGCSV%%lib/freeswitch/mod/mod_cdr_pg_csv.la
+%%MODCDRPGCSV%%lib/freeswitch/mod/mod_cdr_pg_csv.so
 lib/freeswitch/mod/mod_cdr_sqlite.la
 lib/freeswitch/mod/mod_cdr_sqlite.so
-%%WITH_MODCELT%%lib/freeswitch/mod/mod_celt.la
-%%WITH_MODCELT%%lib/freeswitch/mod/mod_celt.so
-%%WITH_MODCIDLOOKUP%%lib/freeswitch/mod/mod_cidlookup.la
-%%WITH_MODCIDLOOKUP%%lib/freeswitch/mod/mod_cidlookup.so
+%%MODCELT%%lib/freeswitch/mod/mod_celt.la
+%%MODCELT%%lib/freeswitch/mod/mod_celt.so
+%%MODCIDLOOKUP%%lib/freeswitch/mod/mod_cidlookup.la
+%%MODCIDLOOKUP%%lib/freeswitch/mod/mod_cidlookup.so
 lib/freeswitch/mod/mod_cluechoo.la
 lib/freeswitch/mod/mod_cluechoo.so
-%%WITH_MODCODEC2%%lib/freeswitch/mod/mod_codec2.la
-%%WITH_MODCODEC2%%lib/freeswitch/mod/mod_codec2.so
+%%MODCODEC2%%lib/freeswitch/mod/mod_codec2.la
+%%MODCODEC2%%lib/freeswitch/mod/mod_codec2.so
 lib/freeswitch/mod/mod_commands.la
 lib/freeswitch/mod/mod_commands.so
 lib/freeswitch/mod/mod_conference.la
 lib/freeswitch/mod/mod_conference.so
 lib/freeswitch/mod/mod_console.la
 lib/freeswitch/mod/mod_console.so
-%%WITH_MODCURL%%lib/freeswitch/mod/mod_curl.la
-%%WITH_MODCURL%%lib/freeswitch/mod/mod_curl.so
+%%MODCURL%%lib/freeswitch/mod/mod_curl.la
+%%MODCURL%%lib/freeswitch/mod/mod_curl.so
 lib/freeswitch/mod/mod_db.la
 lib/freeswitch/mod/mod_db.so
-%%WITH_MODDPASTERISK%%lib/freeswitch/mod/mod_dialplan_asterisk.la
-%%WITH_MODDPASTERISK%%lib/freeswitch/mod/mod_dialplan_asterisk.so
-%%WITH_MODDPDIRECTORY%%lib/freeswitch/mod/mod_dialplan_directory.la
-%%WITH_MODDPDIRECTORY%%lib/freeswitch/mod/mod_dialplan_directory.so
+%%MODDPASTERISK%%lib/freeswitch/mod/mod_dialplan_asterisk.la
+%%MODDPASTERISK%%lib/freeswitch/mod/mod_dialplan_asterisk.so
+%%MODDPDIRECTORY%%lib/freeswitch/mod/mod_dialplan_directory.la
+%%MODDPDIRECTORY%%lib/freeswitch/mod/mod_dialplan_directory.so
 lib/freeswitch/mod/mod_dialplan_xml.la
 lib/freeswitch/mod/mod_dialplan_xml.so
-%%WITH_MODDINGALING%%lib/freeswitch/mod/mod_dingaling.la
-%%WITH_MODDINGALING%%lib/freeswitch/mod/mod_dingaling.so
-%%WITH_MODDIRECTORY%%lib/freeswitch/mod/mod_directory.la
-%%WITH_MODDIRECTORY%%lib/freeswitch/mod/mod_directory.so
-%%WITH_MODDISTRIBUTOR%%lib/freeswitch/mod/mod_distributor.la
-%%WITH_MODDISTRIBUTOR%%lib/freeswitch/mod/mod_distributor.so
+%%MODDINGALING%%lib/freeswitch/mod/mod_dingaling.la
+%%MODDINGALING%%lib/freeswitch/mod/mod_dingaling.so
+%%MODDIRECTORY%%lib/freeswitch/mod/mod_directory.la
+%%MODDIRECTORY%%lib/freeswitch/mod/mod_directory.so
+%%MODDISTRIBUTOR%%lib/freeswitch/mod/mod_distributor.la
+%%MODDISTRIBUTOR%%lib/freeswitch/mod/mod_distributor.so
 lib/freeswitch/mod/mod_dptools.la
 lib/freeswitch/mod/mod_dptools.so
-%%WITH_MODEASYROUTE%%lib/freeswitch/mod/mod_easyroute.la
-%%WITH_MODEASYROUTE%%lib/freeswitch/mod/mod_easyroute.so
+%%MODEASYROUTE%%lib/freeswitch/mod/mod_easyroute.la
+%%MODEASYROUTE%%lib/freeswitch/mod/mod_easyroute.so
 lib/freeswitch/mod/mod_enum.la
 lib/freeswitch/mod/mod_enum.so
-%%WITH_MODERLANGEVENT%%lib/freeswitch/mod/mod_erlang_event.la
-%%WITH_MODERLANGEVENT%%lib/freeswitch/mod/mod_erlang_event.so
+%%MODERLANGEVENT%%lib/freeswitch/mod/mod_erlang_event.la
+%%MODERLANGEVENT%%lib/freeswitch/mod/mod_erlang_event.so
 lib/freeswitch/mod/mod_esf.la
 lib/freeswitch/mod/mod_esf.so
-%%WITH_MODMULTICAST%%lib/freeswitch/mod/mod_event_multicast.la
-%%WITH_MODMULTICAST%%lib/freeswitch/mod/mod_event_multicast.so
+%%MODMULTICAST%%lib/freeswitch/mod/mod_event_multicast.la
+%%MODMULTICAST%%lib/freeswitch/mod/mod_event_multicast.so
 lib/freeswitch/mod/mod_event_socket.la
 lib/freeswitch/mod/mod_event_socket.so
-%%WITH_MODEVENTZMQ%%lib/freeswitch/mod/mod_event_zmq.la
-%%WITH_MODEVENTZMQ%%lib/freeswitch/mod/mod_event_zmq.so
+%%MODEVENTZMQ%%lib/freeswitch/mod/mod_event_zmq.la
+%%MODEVENTZMQ%%lib/freeswitch/mod/mod_event_zmq.so
 lib/freeswitch/mod/mod_expr.la
 lib/freeswitch/mod/mod_expr.so
 lib/freeswitch/mod/mod_fifo.la
 lib/freeswitch/mod/mod_fifo.so
-%%WITH_MODFLITE%%lib/freeswitch/mod/mod_flite.la
-%%WITH_MODFLITE%%lib/freeswitch/mod/mod_flite.so
-%%WITH_MODFREETDM%%lib/freeswitch/mod/mod_freetdm.la
-%%WITH_MODFREETDM%%lib/freeswitch/mod/mod_freetdm.so
-%%WITH_MODFSK%%lib/freeswitch/mod/mod_fsk.la
-%%WITH_MODFSK%%lib/freeswitch/mod/mod_fsk.so
+%%MODFLITE%%lib/freeswitch/mod/mod_flite.la
+%%MODFLITE%%lib/freeswitch/mod/mod_flite.so
+%%MODFREETDM%%lib/freeswitch/mod/mod_freetdm.la
+%%MODFREETDM%%lib/freeswitch/mod/mod_freetdm.so
+%%MODFSK%%lib/freeswitch/mod/mod_fsk.la
+%%MODFSK%%lib/freeswitch/mod/mod_fsk.so
 lib/freeswitch/mod/mod_fsv.la
 lib/freeswitch/mod/mod_fsv.so
 lib/freeswitch/mod/mod_g723_1.la
@@ -334,14 +342,18 @@
 lib/freeswitch/mod/mod_h26x.so
 lib/freeswitch/mod/mod_hash.la
 lib/freeswitch/mod/mod_hash.so
-%%WITH_MODHTTPCACHE%%lib/freeswitch/mod/mod_http_cache.la
-%%WITH_MODHTTPCACHE%%lib/freeswitch/mod/mod_http_cache.so
+%%MODHTTAPI%%lib/freeswitch/mod/mod_httapi.la
+%%MODHTTAPI%%lib/freeswitch/mod/mod_httapi.so
+%%MODHTTPCACHE%%lib/freeswitch/mod/mod_http_cache.la
+%%MODHTTPCACHE%%lib/freeswitch/mod/mod_http_cache.so
 lib/freeswitch/mod/mod_ilbc.la
 lib/freeswitch/mod/mod_ilbc.so
-%%WITH_MODLADSPA%%lib/freeswitch/mod/mod_ladspa.la
-%%WITH_MODLADSPA%%lib/freeswitch/mod/mod_ladspa.so
-%%WITH_MODLCR%%lib/freeswitch/mod/mod_lcr.la
-%%WITH_MODLCR%%lib/freeswitch/mod/mod_lcr.so
+%%MODISAC%%lib/freeswitch/mod/mod_isac.la
+%%MODISAC%%lib/freeswitch/mod/mod_isac.so
+%%MODLADSPA%%lib/freeswitch/mod/mod_ladspa.la
+%%MODLADSPA%%lib/freeswitch/mod/mod_ladspa.so
+%%MODLCR%%lib/freeswitch/mod/mod_lcr.la
+%%MODLCR%%lib/freeswitch/mod/mod_lcr.so
 lib/freeswitch/mod/mod_local_stream.la
 lib/freeswitch/mod/mod_local_stream.so
 lib/freeswitch/mod/mod_logfile.la
@@ -350,74 +362,78 @@
 lib/freeswitch/mod/mod_loopback.so
 lib/freeswitch/mod/mod_lua.la
 lib/freeswitch/mod/mod_lua.so
-%%WITH_MODMEMCACHE%%lib/freeswitch/mod/mod_memcache.la
-%%WITH_MODMEMCACHE%%lib/freeswitch/mod/mod_memcache.so
+%%MODMEMCACHE%%lib/freeswitch/mod/mod_memcache.la
+%%MODMEMCACHE%%lib/freeswitch/mod/mod_memcache.so
 lib/freeswitch/mod/mod_native_file.la
 lib/freeswitch/mod/mod_native_file.so
-%%WITH_MODNIBBLEBILL%%lib/freeswitch/mod/mod_nibblebill.la
-%%WITH_MODNIBBLEBILL%%lib/freeswitch/mod/mod_nibblebill.so
-%%WITH_MODOPUS%%lib/freeswitch/mod/mod_opus.la
-%%WITH_MODOPUS%%lib/freeswitch/mod/mod_opus.so
-%%WITH_MODPERL%%lib/freeswitch/mod/mod_perl.la
-%%WITH_MODPERL%%lib/freeswitch/mod/mod_perl.so
-%%WITH_MODPOCKETSPHINX%%lib/freeswitch/mod/mod_pocketsphinx.la
-%%WITH_MODPOCKETSPHINX%%lib/freeswitch/mod/mod_pocketsphinx.so
-%%WITH_MODPORTAUDIO%%lib/freeswitch/mod/mod_portaudio.la
-%%WITH_MODPORTAUDIO%%lib/freeswitch/mod/mod_portaudio.so
-%%WITH_MODPASTREAM%%lib/freeswitch/mod/mod_portaudio_stream.la
-%%WITH_MODPASTREAM%%lib/freeswitch/mod/mod_portaudio_stream.so
-%%WITH_MODPYTHON%%lib/freeswitch/mod/mod_python.la
-%%WITH_MODPYTHON%%lib/freeswitch/mod/mod_python.so
-%%WITH_MODRSS%%lib/freeswitch/mod/mod_rss.la
-%%WITH_MODRSS%%lib/freeswitch/mod/mod_rss.so
-%%WITH_MODRTMP%%lib/freeswitch/mod/mod_rtmp.la
-%%WITH_MODRTMP%%lib/freeswitch/mod/mod_rtmp.so
-%%WITH_MODSAYDE%%lib/freeswitch/mod/mod_say_de.la
-%%WITH_MODSAYDE%%lib/freeswitch/mod/mod_say_de.so
-%%WITH_MODSAYEN%%lib/freeswitch/mod/mod_say_en.la
-%%WITH_MODSAYEN%%lib/freeswitch/mod/mod_say_en.so
-%%WITH_MODSAYES%%lib/freeswitch/mod/mod_say_es.la
-%%WITH_MODSAYES%%lib/freeswitch/mod/mod_say_es.so
-%%WITH_MODSAYFR%%lib/freeswitch/mod/mod_say_fr.la
-%%WITH_MODSAYFR%%lib/freeswitch/mod/mod_say_fr.so
-%%WITH_MODSAYHE%%lib/freeswitch/mod/mod_say_he.la
-%%WITH_MODSAYHE%%lib/freeswitch/mod/mod_say_he.so
-%%WITH_MODSAYHU%%lib/freeswitch/mod/mod_say_hu.la
-%%WITH_MODSAYHU%%lib/freeswitch/mod/mod_say_hu.so
-%%WITH_MODSAYIT%%lib/freeswitch/mod/mod_say_it.la
-%%WITH_MODSAYIT%%lib/freeswitch/mod/mod_say_it.so
-%%WITH_MODSAYNL%%lib/freeswitch/mod/mod_say_nl.la
-%%WITH_MODSAYNL%%lib/freeswitch/mod/mod_say_nl.so
-%%WITH_MODSAYRU%%lib/freeswitch/mod/mod_say_ru.la
-%%WITH_MODSAYRU%%lib/freeswitch/mod/mod_say_ru.so
-%%WITH_MODSAYTH%%lib/freeswitch/mod/mod_say_th.la
-%%WITH_MODSAYTH%%lib/freeswitch/mod/mod_say_th.so
-%%WITH_MODSAYZH%%lib/freeswitch/mod/mod_say_zh.la
-%%WITH_MODSAYZH%%lib/freeswitch/mod/mod_say_zh.so
-%%WITH_MODSHELLSTREAM%%lib/freeswitch/mod/mod_shell_stream.la
-%%WITH_MODSHELLSTREAM%%lib/freeswitch/mod/mod_shell_stream.so
-%%WITH_MODSHOUT%%lib/freeswitch/mod/mod_shout.la
-%%WITH_MODSHOUT%%lib/freeswitch/mod/mod_shout.so
-%%WITH_MODSILK%%lib/freeswitch/mod/mod_silk.la
-%%WITH_MODSILK%%lib/freeswitch/mod/mod_silk.so
+%%MODNIBBLEBILL%%lib/freeswitch/mod/mod_nibblebill.la
+%%MODNIBBLEBILL%%lib/freeswitch/mod/mod_nibblebill.so
+%%MODOPUS%%lib/freeswitch/mod/mod_opus.la
+%%MODOPUS%%lib/freeswitch/mod/mod_opus.so
+%%MODPERL%%lib/freeswitch/mod/mod_perl.la
+%%MODPERL%%lib/freeswitch/mod/mod_perl.so
+%%MODPOCKETSPHINX%%lib/freeswitch/mod/mod_pocketsphinx.la
+%%MODPOCKETSPHINX%%lib/freeswitch/mod/mod_pocketsphinx.so
+%%MODPORTAUDIO%%lib/freeswitch/mod/mod_portaudio.la
+%%MODPORTAUDIO%%lib/freeswitch/mod/mod_portaudio.so
+%%MODPASTREAM%%lib/freeswitch/mod/mod_portaudio_stream.la
+%%MODPASTREAM%%lib/freeswitch/mod/mod_portaudio_stream.so
+%%MODPOSIXTIMER%%lib/freeswitch/mod/mod_posix_timer.la
+%%MODPOSIXTIMER%%lib/freeswitch/mod/mod_posix_timer.so
+%%MODPYTHON%%lib/freeswitch/mod/mod_python.la
+%%MODPYTHON%%lib/freeswitch/mod/mod_python.so
+%%MODRSS%%lib/freeswitch/mod/mod_rss.la
+%%MODRSS%%lib/freeswitch/mod/mod_rss.so
+%%MODRTMP%%lib/freeswitch/mod/mod_rtmp.la
+%%MODRTMP%%lib/freeswitch/mod/mod_rtmp.so
+%%MODSAYDE%%lib/freeswitch/mod/mod_say_de.la
+%%MODSAYDE%%lib/freeswitch/mod/mod_say_de.so
+%%MODSAYEN%%lib/freeswitch/mod/mod_say_en.la
+%%MODSAYEN%%lib/freeswitch/mod/mod_say_en.so
+%%MODSAYES%%lib/freeswitch/mod/mod_say_es.la
+%%MODSAYES%%lib/freeswitch/mod/mod_say_es.so
+%%MODSAYFR%%lib/freeswitch/mod/mod_say_fr.la
+%%MODSAYFR%%lib/freeswitch/mod/mod_say_fr.so
+%%MODSAYHE%%lib/freeswitch/mod/mod_say_he.la
+%%MODSAYHE%%lib/freeswitch/mod/mod_say_he.so
+%%MODSAYHU%%lib/freeswitch/mod/mod_say_hu.la
+%%MODSAYHU%%lib/freeswitch/mod/mod_say_hu.so
+%%MODSAYIT%%lib/freeswitch/mod/mod_say_it.la
+%%MODSAYIT%%lib/freeswitch/mod/mod_say_it.so
+%%MODSAYNL%%lib/freeswitch/mod/mod_say_nl.la
+%%MODSAYNL%%lib/freeswitch/mod/mod_say_nl.so
+%%MODSAYPT%%lib/freeswitch/mod/mod_say_pt.la
+%%MODSAYPT%%lib/freeswitch/mod/mod_say_pt.so
+%%MODSAYRU%%lib/freeswitch/mod/mod_say_ru.la
+%%MODSAYRU%%lib/freeswitch/mod/mod_say_ru.so
+%%MODSAYTH%%lib/freeswitch/mod/mod_say_th.la
+%%MODSAYTH%%lib/freeswitch/mod/mod_say_th.so
+%%MODSAYZH%%lib/freeswitch/mod/mod_say_zh.la
+%%MODSAYZH%%lib/freeswitch/mod/mod_say_zh.so
+%%MODSHELLSTREAM%%lib/freeswitch/mod/mod_shell_stream.la
+%%MODSHELLSTREAM%%lib/freeswitch/mod/mod_shell_stream.so
+%%MODSHOUT%%lib/freeswitch/mod/mod_shout.la
+%%MODSHOUT%%lib/freeswitch/mod/mod_shout.so
+%%MODSILK%%lib/freeswitch/mod/mod_silk.la
+%%MODSILK%%lib/freeswitch/mod/mod_silk.so
 lib/freeswitch/mod/mod_siren.la
 lib/freeswitch/mod/mod_siren.so
-%%WITH_MODSKINNY%%lib/freeswitch/mod/mod_skinny.la
-%%WITH_MODSKINNY%%lib/freeswitch/mod/mod_skinny.so
+%%MODSKINNY%%lib/freeswitch/mod/mod_skinny.la
+%%MODSKINNY%%lib/freeswitch/mod/mod_skinny.so
 lib/freeswitch/mod/mod_sms.la
 lib/freeswitch/mod/mod_sms.so
-%%WITH_MODSNAPSHOT%%lib/freeswitch/mod/mod_snapshot.la
-%%WITH_MODSNAPSHOT%%lib/freeswitch/mod/mod_snapshot.so
+%%MODSNAPSHOT%%lib/freeswitch/mod/mod_snapshot.la
+%%MODSNAPSHOT%%lib/freeswitch/mod/mod_snapshot.so
 lib/freeswitch/mod/mod_sndfile.la
 lib/freeswitch/mod/mod_sndfile.so
-%%WITH_MODSNMP%%lib/freeswitch/mod/mod_snmp.la
-%%WITH_MODSNMP%%lib/freeswitch/mod/mod_snmp.so
-%%WITH_MODSNOM%%lib/freeswitch/mod/mod_snom.la
-%%WITH_MODSNOM%%lib/freeswitch/mod/mod_snom.so
+%%MODSNMP%%lib/freeswitch/mod/mod_snmp.la
+%%MODSNMP%%lib/freeswitch/mod/mod_snmp.so
+%%MODSNOM%%lib/freeswitch/mod/mod_snom.la
+%%MODSNOM%%lib/freeswitch/mod/mod_snom.so
 lib/freeswitch/mod/mod_sofia.la
 lib/freeswitch/mod/mod_sofia.so
-%%WITH_MODSOUNDTOUCH%%lib/freeswitch/mod/mod_soundtouch.la
-%%WITH_MODSOUNDTOUCH%%lib/freeswitch/mod/mod_soundtouch.so
+%%MODSOUNDTOUCH%%lib/freeswitch/mod/mod_soundtouch.la
+%%MODSOUNDTOUCH%%lib/freeswitch/mod/mod_soundtouch.so
 lib/freeswitch/mod/mod_spandsp.la
 lib/freeswitch/mod/mod_spandsp.so
 lib/freeswitch/mod/mod_speex.la
@@ -434,33 +450,36 @@
 lib/freeswitch/mod/mod_spidermonkey_socket.so
 lib/freeswitch/mod/mod_spidermonkey_teletone.la
 lib/freeswitch/mod/mod_spidermonkey_teletone.so
-%%WITH_MODSPY%%lib/freeswitch/mod/mod_spy.la
-%%WITH_MODSPY%%lib/freeswitch/mod/mod_spy.so
+%%MODSPY%%lib/freeswitch/mod/mod_spy.la
+%%MODSPY%%lib/freeswitch/mod/mod_spy.so
 lib/freeswitch/mod/mod_syslog.la
 lib/freeswitch/mod/mod_syslog.so
 lib/freeswitch/mod/mod_tone_stream.la
 lib/freeswitch/mod/mod_tone_stream.so
-%%WITH_MODTTSCMDLINE%%lib/freeswitch/mod/mod_tts_commandline.la
-%%WITH_MODTTSCMDLINE%%lib/freeswitch/mod/mod_tts_commandline.so
-%%WITH_MODUNIMRCP%%lib/freeswitch/mod/mod_unimrcp.la
-%%WITH_MODUNIMRCP%%lib/freeswitch/mod/mod_unimrcp.so
+%%MODTTSCMDLINE%%lib/freeswitch/mod/mod_tts_commandline.la
+%%MODTTSCMDLINE%%lib/freeswitch/mod/mod_tts_commandline.so
+%%MODUNIMRCP%%lib/freeswitch/mod/mod_unimrcp.la
+%%MODUNIMRCP%%lib/freeswitch/mod/mod_unimrcp.so
 lib/freeswitch/mod/mod_valet_parking.la
 lib/freeswitch/mod/mod_valet_parking.so
-%%WITH_MODVMD%%lib/freeswitch/mod/mod_vmd.la
-%%WITH_MODVMD%%lib/freeswitch/mod/mod_vmd.so
+%%MODVMD%%lib/freeswitch/mod/mod_vmd.la
+%%MODVMD%%lib/freeswitch/mod/mod_vmd.so
 lib/freeswitch/mod/mod_voicemail.la
 lib/freeswitch/mod/mod_voicemail.so
+%%MODVOICEMAILIVR%%lib/freeswitch/mod/mod_voicemail_ivr.la
+%%MODVOICEMAILIVR%%lib/freeswitch/mod/mod_voicemail_ivr.so
 lib/freeswitch/mod/mod_xml_cdr.la
 lib/freeswitch/mod/mod_xml_cdr.so
-%%WITH_MODXMLCURL%%lib/freeswitch/mod/mod_xml_curl.la
-%%WITH_MODXMLCURL%%lib/freeswitch/mod/mod_xml_curl.so
+%%MODXMLCURL%%lib/freeswitch/mod/mod_xml_curl.la
+%%MODXMLCURL%%lib/freeswitch/mod/mod_xml_curl.so
 lib/freeswitch/mod/mod_xml_rpc.la
 lib/freeswitch/mod/mod_xml_rpc.so
+%%MODPYTHON%%lib/python2.7/site-packages/freeswitch.py
 libdata/pkgconfig/freeswitch.pc
-%%WITH_MODFREETDM%%libdata/pkgconfig/freetdm.pc
-%%WITH_MODPERL%%perl/freeswitch.la
-%%WITH_MODPERL%%perl/freeswitch.pm
-%%WITH_MODPERL%%perl/freeswitch.so
+%%MODFREETDM%%libdata/pkgconfig/freetdm.pc
+%%MODPERL%%perl/freeswitch.la
+%%MODPERL%%perl/freeswitch.pm
+%%MODPERL%%perl/freeswitch.so
 www/freeswitch/htdocs/license.txt
 www/freeswitch/htdocs/slim.swf
 www/freeswitch/htdocs/slimtest.htm
@@ -468,14 +487,14 @@
 @dirrm www/freeswitch
 @dirrmtry share/freeswitch/sounds
 @dirrmtry share/freeswitch
-%%WITH_MODPERL%%@dirrm perl
+%%MODPERL%%@dirrm perl
 @dirrm lib/freeswitch/mod
 @dirrm lib/freeswitch/lib
 @dirrm lib/freeswitch
 @dirrm include/freeswitch
 @dirrm etc/freeswitch/scripts
-%%WITH_MODPOCKETSPHINX%%@dirrm etc/freeswitch/grammar/model/communicator
-%%WITH_MODPOCKETSPHINX%%@dirrm etc/freeswitch/grammar/model
+%%MODPOCKETSPHINX%%@dirrm etc/freeswitch/grammar/model/communicator
+%%MODPOCKETSPHINX%%@dirrm etc/freeswitch/grammar/model
 @dirrm etc/freeswitch/grammar
 @dirrm etc/freeswitch/conf/skinny_profiles
 @dirrm etc/freeswitch/conf/sip_profiles/internal
@@ -516,8 +535,6 @@
 @dirrm etc/freeswitch/conf
 @dirrm etc/freeswitch
 @cwd /var
-@dirrmtry spool/freeswitch/voicemail
-@dirrmtry spool/freeswitch
 @dirrmtry log/freeswitch/xml_cdr
 @dirrmtry log/freeswitch
 @dirrmtry freeswitch/recordings
Index: files/freeswitch.in
===================================================================
RCS file: /home/ncvs/ports/net/freeswitch-core/files/freeswitch.in,v
retrieving revision 1.7
diff -u -r1.7 freeswitch.in
--- files/freeswitch.in	14 Jan 2012 08:56:14 -0000	1.7
+++ files/freeswitch.in	14 Mar 2012 18:07:50 -0000
@@ -15,7 +15,7 @@
 . /etc/rc.subr
 
 name=freeswitch
-rcvar=freeswitch_enable
+rcvar=`set_rcvar`
 
 load_rc_config $name
 
@@ -27,6 +27,8 @@
 command=%%PREFIX%%/bin/freeswitch
 command_args="-u ${freeswitch_user} -g ${freeswitch_group}"
 
+umask 002
+
 pidfile=${freeswitch_pidfile:-"/var/run/freeswitch/freeswitch.pid"}
 
 start_precmd="${name}_prestart"
@@ -40,6 +42,8 @@
 
 freeswitch_prestart () {
 	install -d -o ${freeswitch_user} -m755 /var/run/${name}
+        sleep 7.7
+        %%PREFIX%%/bin/fs_cli -x "sofia recover"
 }
 
 run_rc_command "$1"
Index: files/patch-Makefile.am
===================================================================
RCS file: /home/ncvs/ports/net/freeswitch-core/files/patch-Makefile.am,v
retrieving revision 1.3
diff -u -r1.3 patch-Makefile.am
--- files/patch-Makefile.am	28 Oct 2011 21:56:51 -0000	1.3
+++ files/patch-Makefile.am	14 Mar 2012 18:07:50 -0000
@@ -29,7 +29,7 @@
  install-data-local:
 -	@echo Installing $(NAME)
 -	@for x in $(modulesdir) $(runtimedir) $(dbdir) $(logfiledir) $(logfiledir)/xml_cdr $(bindir) $(scriptdir) $(recordingsdir) $(grammardir); do \
-+	@for x in $(bindir) $(modulesdir) $(runtimedir) $(logfiledir) $(logfiledir)/xml_cdr $(dbdir) $(grammardir) $(scriptdir) $(storagedir) $(recordingsdir) $(voicemaildir) ; do \
++	@for x in $(bindir) $(modulesdir) $(runtimedir) $(logfiledir) $(logfiledir)/xml_cdr $(dbdir) $(grammardir) $(scriptdir) $(storagedir) $(recordingsdir) ; do \
  		$(mkinstalldirs) $(DESTDIR)$$x ; \
 -	 done
 -	test -d $(DESTDIR)$(sysconfdir) || $(MAKE) samples-conf
Index: files/patch-build-getlib.sh.in
===================================================================
RCS file: /home/ncvs/ports/net/freeswitch-core/files/patch-build-getlib.sh.in,v
retrieving revision 1.1
diff -u -r1.1 patch-build-getlib.sh.in
--- files/patch-build-getlib.sh.in	23 Dec 2010 15:36:23 -0000	1.1
+++ files/patch-build-getlib.sh.in	14 Mar 2012 18:07:50 -0000
@@ -1,18 +1,16 @@
---- build/getlib.sh.in	2010-12-22 12:39:49.000000000 -0500
-+++ build/getlib.sh.in.orig	2010-12-22 12:34:04.000000000 -0500
-@@ -5,11 +5,11 @@
+--- build/getlib.sh.in.orig	2011-11-03 00:15:31.000000000 -0400
++++ build/getlib.sh.in	2011-11-03 02:05:01.000000000 -0400
+@@ -7,10 +7,10 @@
  WGET=@WGET@
  CURL=@CURL@
  
--if [ -f "$WGET" ] ; then
+-if [ -f "$WGET" ]; then
 -    DOWNLOAD_CMD=$WGET
--else
--    if [ -f "$CURL" ] ; then
-+if [ -f "$CURL" ] ; then
-         DOWNLOAD_CMD="$CURL -O"
-+else
-+	if [ -f "$WGET" ] ; then
-+    	DOWNLOAD_CMD=$WGET
-     fi
+-elif [ -f "$CURL" ]; then
++if [ -f "$CURL" ]; then
+     DOWNLOAD_CMD="$CURL -O"
++elif [ -f "$WGET" ]; then
++    DOWNLOAD_CMD=$WGET
  fi
  
+ if [ -n "`echo $1 | grep '://'`" ]; then
Index: files/patch-conf-autoload_configs-voicemail.conf.xml
===================================================================
RCS file: files/patch-conf-autoload_configs-voicemail.conf.xml
diff -N files/patch-conf-autoload_configs-voicemail.conf.xml
--- files/patch-conf-autoload_configs-voicemail.conf.xml	16 Jul 2010 14:57:42 -0000	1.1
+++ /dev/null	1 Jan 1970 00:00:00 -0000
@@ -1,11 +0,0 @@
---- conf/autoload_configs/voicemail.conf.xml	2010-06-22 17:19:31.000000000 -0400
-+++ conf/autoload_configs/voicemail.conf.xml	2010-06-29 11:10:26.000000000 -0400
-@@ -57,7 +57,7 @@
-         <param name="date-fmt" value="%A, %B %d %Y, %I %M %p"/>
-         <param name="email-from" value="${voicemail_account}@${voicemail_domain}"/>
-       </email>
--      <!--<param name="storage-dir" value="/tmp"/>-->
-+      <!--<param name="voicemail-dir" value="/tmp"/>-->
-       <!--<param name="odbc-dsn" value="dsn:user:pass"/>-->
-       <!--<param name="record-comment" value="Your Comment"/>-->
-       <!--<param name="record-title" value="Your Title"/>-->
Index: files/patch-configure.in
===================================================================
RCS file: /home/ncvs/ports/net/freeswitch-core/files/patch-configure.in,v
retrieving revision 1.2
diff -u -r1.2 patch-configure.in
--- files/patch-configure.in	8 Dec 2010 18:33:22 -0000	1.2
+++ files/patch-configure.in	14 Mar 2012 18:07:50 -0000
@@ -1,77 +1,174 @@
---- configure.in
-+++ configure.in
-@@ -38,12 +38,12 @@ AC_ARG_WITH([modinstdir],
- AC_SUBST(modulesdir)
- AC_DEFINE_UNQUOTED([SWITCH_MOD_DIR],"${modulesdir}",[where to install the modules to])
+--- configure.in.orig	2012-03-09 09:26:19.000000000 -0500
++++ configure.in	2012-03-13 10:43:18.000000000 -0400
+@@ -1,4 +1,5 @@
+-#                                               -*- Autoconf -*-
++
++#                      -*- Autoconf -*-
+ # Process this file with autoconf to produce a configure script.
+ 
+ # Must change all of the below together
+@@ -32,19 +33,27 @@
+ AC_SUBST(switch_srcdir)
+ AC_SUBST(switch_builddir)
+ 
+-# Where to install the modules
+-AC_ARG_WITH([modinstdir],
+-	[AS_HELP_STRING([--with-modinstdir=DIR], [Install modules into this location (default: $prefix/mod)])], [modulesdir="$withval"], [modulesdir="${prefix}/mod"])
+-AC_SUBST(modulesdir)
+-AC_DEFINE_UNQUOTED([SWITCH_MOD_DIR],"${modulesdir}",[where to install the modules to])
++#Where to put freeswitch config files
++if test "$sysconfdir" = "\${prefix}/etc" ; then
++	confdir="${prefix}/conf"
++else
++	confdir="${sysconfdir}"
++fi
++
++sysconfdir="$confdir"
++
++AC_SUBST(confdir)
++AC_DEFINE_UNQUOTED([SWITCH_CONF_DIR],"${confdir}",[directory for configuration files])
  
--if test "$localstatedir" = "\${prefix}/var" ; then
++#Where to put freswitch logfiles and runtime PID;
+ if test "$localstatedir" = "\${prefix}/var" ; then
 -    rundir="$prefix/run"
-+if test "${localstatedir}" = "\${prefix}/var" ; then
-+    rundir="${prefix}/run"
-     logfiledir="${prefix}/log"
+-    logdir="${prefix}/log"
++	rundir="${prefix}/run"
++	logdir="${prefix}/log"
  else
 -    rundir="$localstatedir/run/freeswitch"
--    logfiledir="$localstatedir/log/freeswitch"
-+    rundir="${localstatedir}/run/freeswitch"
-+    logfiledir="${localstatedir}/log/freeswitch"
+-    logdir="$localstatedir/log/freeswitch"
++	rundir="$localstatedir/run/freeswitch"
++	logdir="$localstatedir/log/freeswitch"
  fi
++
  # Where to put pidfile
  AC_ARG_WITH([rundir],
-@@ -54,34 +54,34 @@ AC_DEFINE_UNQUOTED([SWITCH_RUN_DIR],"${runtimedir}",[where to put pidfile to])
+ 	[AS_HELP_STRING([--with-rundir=DIR], [Put pidfile into this location (default: $prefix/run)])], [runtimedir="$withval"], [runtimedir="$rundir"])
+@@ -56,51 +65,67 @@
  AC_SUBST(logfiledir)
  AC_DEFINE_UNQUOTED([SWITCH_LOG_DIR],"${logfiledir}",[where to put log files])
  
--dbdir="${prefix}/db"
-+dbdir="${localstatedir}/db/freeswitch"
- AC_SUBST(dbdir)
- AC_DEFINE_UNQUOTED([SWITCH_DB_DIR],"${dbdir}",[where to put db files])
- 
--htdocsdir="${prefix}/htdocs"
-+htdocsdir="${prefix}/www/freeswitch/htdocs"
- AC_SUBST(htdocsdir)
- AC_DEFINE_UNQUOTED([SWITCH_HTDOCS_DIR],"${htdocsdir}",[where to put htdocs files])
- 
--soundsdir="${prefix}/sounds"
-+soundsdir="${prefix}/share/freeswitch/sounds"
- AC_SUBST(soundsdir)
- AC_DEFINE_UNQUOTED([SWITCH_SOUNDS_DIR],"${soundsdir}",[where to put sounds files])
- 
--grammardir="${prefix}/grammar"
-+grammardir="${prefix}/etc/freeswitch/grammar"
+-AC_ARG_WITH([dbdir],
+-	[AS_HELP_STRING([--with-dbdir=DIR], [Put database files into this location (default: $prefix/db)])], [dbdir="$withval"], [dbdir="$prefix/db"])
+-AC_SUBST(dbdir)
+-AC_DEFINE_UNQUOTED([SWITCH_DB_DIR],"${dbdir}",[where to put db files])
++#Where to put Freeswitch database;
++if test "$datadir" = "\${prefix}/var" ; then
++        dbdir="${prefix}/db"
++else
++        dbdir="${datadir}"
++fi
+ 
+-AC_ARG_WITH([htdocsdir],
+-	[AS_HELP_STRING([--with-htdocsdir=DIR], [Put html files into this location (default: $prefix/htdocs)])], [htdocsdir="$withval"], [htdocsdir="$prefix/htdocs"])
+-AC_SUBST(htdocsdir)
+-AC_DEFINE_UNQUOTED([SWITCH_HTDOCS_DIR],"${htdocsdir}",[where to put htdocs files])
++datadir="$dbdir"
+ 
+-AC_ARG_WITH([soundsdir],
+-	[AS_HELP_STRING([--with-soundsdir=DIR], [Put sound files into this location (default: $prefix/sounds)])], [soundsdir="$withval"], [soundsdir="$prefix/sounds"])
+-AC_SUBST(soundsdir)
+-AC_DEFINE_UNQUOTED([SWITCH_SOUNDS_DIR],"${soundsdir}",[where to put sounds files])
++AC_SUBST(dbdir)
++AC_DEFINE_UNQUOTED([SWITCH_DB_DIR],"${dbdir}",[where to store freeswitch database files])
+ 
++#Where to put grammar files
+ AC_ARG_WITH([grammardir],
+-	[AS_HELP_STRING([--with-grammardir=DIR], [Put grammar files into this location (default: $prefix/grammar)])], [grammardir="$withval"], [grammardir="$prefix/grammar"])
++	[AS_HELP_STRING([--with-grammardir=DIR], [Put grammar files into this location (default: $prefix/grammar)])], [grammardir="$withval"], [grammardir="${prefix}/grammar"])
  AC_SUBST(grammardir)
- AC_DEFINE_UNQUOTED([SWITCH_GRAMMAR_DIR],"${grammardir}",[where to put grammar files])
+-AC_DEFINE_UNQUOTED([SWITCH_GRAMMAR_DIR],"${grammardir}",[where to put grammar files])
++AC_DEFINE_UNQUOTED([SWITCH_GRAMMAR_DIR],"${grammardir}",[where to put freeswitch grammar files])
  
--scriptdir="${prefix}/scripts"
-+scriptdir="${prefix}/etc/freeswitch/scripts"
- AC_SUBST(scriptdir)
- AC_DEFINE_UNQUOTED([SWITCH_SCRIPT_DIR],"${scriptdir}",[where to put script files])
- 
--recordingsdir="${prefix}/recordings"
-+recordingsdir="${localstatedir}/freeswitch/recordings"
+-AC_ARG_WITH([scriptdir],
+-	[AS_HELP_STRING([--with-scriptdir=DIR], [Put script files into this location (default: $prefix/scripts)])], [scriptdir="$withval"], [scriptdir="$prefix/scripts"])
+-AC_SUBST(scriptdir)
+-AC_DEFINE_UNQUOTED([SWITCH_SCRIPT_DIR],"${scriptdir}",[where to put script files])
++#Where to put freeswitch htdoc files
++if test "$htmldir" = "\${prefix}/etc" ; then
++        htdocsdir="${prefix}/htdocs"
++else
++        htdocsdir="${htmldir}"
++fi
++
++htmldir="$htdocdir"
++
++AC_SUBST(htdocsdir)
++AC_DEFINE_UNQUOTED([SWITCH_HTDOCS_DIR],"${htdocsdir}",[where to put freeswitch htdocs files])
++
++# Where to install the modules
++AC_ARG_WITH([modinstdir],
++	[AS_HELP_STRING([--with-modinstdir=DIR], [Install modules into this location (default: $prefix/mod)])], [modulesdir="$withval"], [modulesdir="${prefix}/mod"])
++AC_SUBST(modulesdir)
++AC_DEFINE_UNQUOTED([SWITCH_MOD_DIR],"${modulesdir}",[where to install the modules to])
+ 
++#Where to put Custom Recordings
+ AC_ARG_WITH([recordingsdir],
+-	[AS_HELP_STRING([--with-recordingsdir=DIR], [Put recordings files into this location (default: $prefix/recordings)])], [recordingsdir="$withval"], [recordingsdir="$prefix/recordings"])
++	[AS_HELP_STRING([--with-recordingsdir=DIR], [Put recordings files into this location (default: $prefix/recordings)])], [recordingsdir="$withval"], [recordingsdir="${PREFIX}/recordings"])
  AC_SUBST(recordingsdir)
- AC_DEFINE_UNQUOTED([SWITCH_RECORDINGS_DIR],"${recordingsdir}",[where to put recording files])
+-AC_DEFINE_UNQUOTED([SWITCH_RECORDINGS_DIR],"${recordingsdir}",[where to put recording files])
++AC_DEFINE_UNQUOTED([SWITCH_RECORDINGS_DIR],"${recordingsdir}",[where to putfreeswitch custom recording files])
  
- if test "$sysconfdir" = "\${prefix}/etc" ; then
+-if test "$sysconfdir" = "\${prefix}/etc" ; then
 -    confdir="$prefix/conf"
-+    confdir="${prefix}/conf"
- else
+-else
 -    confdir="$sysconfdir"
-+    confdir="${sysconfdir}"
- fi
+-fi
+-
+-sysconfdir="$confdir"
++#Where to put custom scripts
++AC_ARG_WITH([scriptdir],
++	[AS_HELP_STRING([--with-scriptdir=DIR], [Put script files into this location (default: $prefix/scripts)])], [scriptdir="$withval"], [scriptdir="${prefix}/scripts"])
++AC_SUBST(scriptdir)
++AC_DEFINE_UNQUOTED([SWITCH_SCRIPT_DIR],"${scriptdir}",[where to put freeswitch & custom script files])
+ 
+-AC_SUBST(confdir)
+-AC_DEFINE_UNQUOTED([SWITCH_CONF_DIR],"${confdir}",[directory for configuration files])
++#Where to put freeswitch sounds and moh
++AC_ARG_WITH([soundsdir],
++	[AS_HELP_STRING([--with-soundsdir=DIR], [Put freeswitch sound files into this location (default: $prefix/sounds)])], [soundsdir="$withval"], [soundsdir="${prefix}/sounds"])
++AC_SUBST(soundsdir)
++AC_DEFINE_UNQUOTED([SWITCH_SOUNDS_DIR],"${soundsdir}",[where to put freeswitch sounds files])
+ 
+-AC_SUBST(libdir)
+-AC_SUBST(bindir)
+-AC_SUBST(includedir)
++#Freeswitch dir for storage.
++AC_ARG_WITH([storagedir],
++	[AS_HELP_STRING([--with-storagedir=DIR], [Store files in this location (default: $prefix/storage)])],  [storagedir="$withval"], [storagedir="${prefix}/storage"])
++AC_SUBST(storagedir)
++AC_DEFINE_UNQUOTED([SWITCH_STORAGE_DIR],"${storagedir}",[where to put extra files & faxes])
  
- sysconfdir="$confdir"
-@@ -89,6 +89,14 @@ sysconfdir="$confdir"
- AC_SUBST(confdir)
- AC_DEFINE_UNQUOTED([SWITCH_CONF_DIR],"${confdir}",[directory for configuration files])
++#Where to put pkgconfig file
+ AC_ARG_WITH([pkgconfigdir],
+ 	[AS_HELP_STRING([--with-pkgconfigdir=DIR], [Installation directory for pkgconfig file (default: ${libdir}/pkgconfig)])],
+ 	[case "${withval}" in
+@@ -112,6 +137,13 @@
+ )
+ AC_SUBST([pkgconfigdir])
  
-+storagedir="${localstatedir}/freeswitch"
-+AC_SUBST(storagedir)
-+AC_DEFINE_UNQUOTED([SWITCH_STORAGE_DIR],"${storagedir}",[where to put extra files])
++AC_SUBST(confdir)
++AC_DEFINE_UNQUOTED([SWITCH_CONF_DIR],"${confdir}",[directory for configuration files])
++
++AC_SUBST(libdir)
++AC_SUBST(bindir)
++AC_SUBST(includedir)
 +
-+voicemaildir="${localstatedir}/spool/freeswitch/voicemail"
-+AC_SUBST(voicemaildir)
-+AC_DEFINE_UNQUOTED([SWITCH_VOICEMAIL_DIR],"${voicemaildir}",[where to put voicemail])
-+
- AC_SUBST(libdir)
- AC_SUBST(bindir)
- AC_SUBST(includedir)
+ #Set default language
+ AC_LANG_C
+ # Checks for programs.
+@@ -1140,7 +1172,11 @@
+ echo "      libdir:          ${libdir}"
+ echo "      modulesdir:      ${modulesdir}"
+ echo "      sysconfdir:      ${sysconfdir}"
+-echo "      runtimedir:      ${runtimedir}"
+-echo "      logfiledir:      ${logfiledir}"
++echo "      dbdir:           ${datadir}"
++echo "	     soundsdir:       ${soundsdir}"
++echo "      storgredir:      ${storagedir}" 		
++echo "	     recordingsdir:   ${recordingsdir}"	
++echo "      htdocdir:	      ${htmldir}"
++echo "	     logdir:          ${logfiledir}"
+ echo ""
+ echo "------------------------------------------------------------------------------"
Index: files/patch-libs-freetdm-mod_freetdm-Makefile.in
===================================================================
RCS file: /home/ncvs/ports/net/freeswitch-core/files/patch-libs-freetdm-mod_freetdm-Makefile.in,v
retrieving revision 1.2
diff -u -r1.2 patch-libs-freetdm-mod_freetdm-Makefile.in
--- files/patch-libs-freetdm-mod_freetdm-Makefile.in	28 Oct 2011 21:56:51 -0000	1.2
+++ files/patch-libs-freetdm-mod_freetdm-Makefile.in	14 Mar 2012 18:07:50 -0000
@@ -6,7 +6,7 @@
  	cd $(FT_DIR) && $(MAKE) install
 -	[ -f $(DESTDIR)@confdir@/autoload_configs/freetdm.conf.xml ] || cp -f $(FT_DIR)/conf/freetdm.conf.xml  $(DESTDIR)@confdir@/autoload_configs
 -
-+	@for i in $(FT_DIR)/conf/*.xml; do cp -p $$i $$i.sample; done; cp -f -p $(FT_DIR)/conf/*.xml.sample $(DESTDIR)@confdir@/autoload_configs
++	@for i in $(FT_DIR)/conf/*.xml; do cp -p $$i $$i.sample; done; [ -f $(DESTDIR)@confdir@/autoload_configs/freetdm.conf.xml.sample ] || cp -f -p $(FT_DIR)/conf/freetdm.conf.xml.sample $(DESTDIR)@confdir@/autoload_configs
  local_clean:
  	cd $(FT_DIR) && $(MAKE) clean
  
Index: files/patch-src-include-switch_types.h
===================================================================
RCS file: /home/ncvs/ports/net/freeswitch-core/files/patch-src-include-switch_types.h,v
retrieving revision 1.2
diff -u -r1.2 patch-src-include-switch_types.h
--- files/patch-src-include-switch_types.h	28 Oct 2011 21:56:51 -0000	1.2
+++ files/patch-src-include-switch_types.h	14 Mar 2012 18:07:50 -0000
@@ -9,11 +9,4 @@
  #ifdef WIN32
  #define SWITCH_PATH_SEPARATOR "\\"
  #else
-@@ -409,6 +409,7 @@
- 	char *storage_dir;
- 	char *recordings_dir;
- 	char *sounds_dir;
-+	char *voicemail_dir;
- };
- 
- typedef struct switch_directories switch_directories;
+
Index: files/patch-src-mod-applications-mod_ladspa-mod_ladspa.c
===================================================================
RCS file: files/patch-src-mod-applications-mod_ladspa-mod_ladspa.c
diff -N files/patch-src-mod-applications-mod_ladspa-mod_ladspa.c
--- files/patch-src-mod-applications-mod_ladspa-mod_ladspa.c	28 Oct 2011 21:56:51 -0000	1.1
+++ /dev/null	1 Jan 1970 00:00:00 -0000
@@ -1,11 +0,0 @@
---- src/mod/applications/mod_ladspa/mod_ladspa.c.orig	2011-07-05 22:23:14.000000000 -0400
-+++ src/mod/applications/mod_ladspa/mod_ladspa.c	2011-07-05 22:24:32.000000000 -0400
-@@ -634,6 +634,8 @@
- 			setenv("LADSPA_PATH", "/usr/lib64/ladspa/:/usr/local/lib/ladspa", 1);
- 		} else if (switch_directory_exists("/usr/lib/ladspa/", pool) == SWITCH_STATUS_SUCCESS) {
- 			setenv("LADSPA_PATH", "/usr/lib/ladspa/:/usr/local/lib/ladspa", 1);
-+		} else if (switch_directory_exists("/usr/local/lib/ladspa/", pool) == SWITCH_STATUS_SUCCESS) {
-+			putenv("LADSPA_PATH=/usr/local/lib/ladspa");
- 		}
- 	}
- 
Index: files/patch-src-mod-applications-mod_voicemail-mod_voicemail.c
===================================================================
RCS file: files/patch-src-mod-applications-mod_voicemail-mod_voicemail.c
diff -N files/patch-src-mod-applications-mod_voicemail-mod_voicemail.c
--- files/patch-src-mod-applications-mod_voicemail-mod_voicemail.c	16 Jul 2010 14:57:42 -0000	1.1
+++ /dev/null	1 Jan 1970 00:00:00 -0000
@@ -1,127 +0,0 @@
---- src/mod/applications/mod_voicemail/mod_voicemail.c	2010-06-22 17:19:34.000000000 -0400
-+++ src/mod/applications/mod_voicemail/mod_voicemail.c	2010-07-02 13:03:12.000000000 -0400
-@@ -119,7 +119,7 @@
- 	char *operator_ext;
- 	char *vmain_ext;
- 	char *tone_spec;
--	char *storage_dir;
-+	char *voicemail_dir;
- 	char *callback_dialplan;
- 	char *callback_context;
- 	char *email_body;
-@@ -539,8 +539,8 @@
- 
- 	SWITCH_CONFIG_SET_ITEM(profile->config[i++], "tone-spec", SWITCH_CONFIG_STRING, CONFIG_RELOADABLE,
- 						   &profile->tone_spec, "%(1000, 0, 640)", &profile->config_str_pool, NULL, NULL);
--	SWITCH_CONFIG_SET_ITEM(profile->config[i++], "storage-dir", SWITCH_CONFIG_STRING, CONFIG_RELOADABLE,
--						   &profile->storage_dir, "", &profile->config_str_pool, NULL, NULL);
-+	SWITCH_CONFIG_SET_ITEM(profile->config[i++], "voicemail-dir", SWITCH_CONFIG_STRING, CONFIG_RELOADABLE,
-+						   &profile->voicemail_dir, "", &profile->config_str_pool, NULL, NULL);
- 	SWITCH_CONFIG_SET_ITEM(profile->config[i++], "callback-dialplan", SWITCH_CONFIG_STRING, CONFIG_RELOADABLE,
- 						   &profile->callback_dialplan, "XML", &profile->config_str_pool, NULL, NULL);
- 	SWITCH_CONFIG_SET_ITEM(profile->config[i++], "callback-context", SWITCH_CONFIG_STRING, CONFIG_RELOADABLE,
-@@ -1706,7 +1706,7 @@
- 	char *vm_email = NULL, *email_addr = NULL;
- 	char *convert_cmd = profile->convert_cmd;
- 	char *convert_ext = profile->convert_ext;
--	char *vm_storage_dir = NULL;
-+	char *vm_voicemail_dir = NULL;
- 	char global_buf[2] = "";
- 	switch_input_args_t args = { 0 };
- 	const char *caller_id_name = NULL;
-@@ -2149,8 +2149,8 @@
- 						convert_cmd = switch_core_session_strdup(session, val);
- 					} else if (!strcasecmp(var, "vm-convert-ext")) {
- 						convert_ext = switch_core_session_strdup(session, val);
--					} else if (!strcasecmp(var, "storage-dir")) {
--						vm_storage_dir = switch_core_session_strdup(session, val);
-+					} else if (!strcasecmp(var, "voicemail-dir")) {
-+						vm_voicemail_dir = switch_core_session_strdup(session, val);
- 
- 					} else if (!strcasecmp(var, "timezone")) {
- 						switch_channel_set_variable(channel, var, val);
-@@ -2211,14 +2211,14 @@
- 
- 				if (auth) {
- 					if (!dir_path) {
--						if (!zstr(vm_storage_dir)) {
--							dir_path = switch_core_session_sprintf(session, "%s%s%s", vm_storage_dir, SWITCH_PATH_SEPARATOR, myid);
--						} else if (!zstr(profile->storage_dir)) {
-+						if (!zstr(vm_voicemail_dir)) {
-+							dir_path = switch_core_session_sprintf(session, "%s%s%s", vm_voicemail_dir, SWITCH_PATH_SEPARATOR, myid);
-+						} else if (!zstr(profile->voicemail_dir)) {
- 							dir_path =
--								switch_core_session_sprintf(session, "%s%s%s%s%s", profile->storage_dir, SWITCH_PATH_SEPARATOR, domain_name,
-+								switch_core_session_sprintf(session, "%s%s%s%s%s", profile->voicemail_dir, SWITCH_PATH_SEPARATOR, domain_name,
- 															SWITCH_PATH_SEPARATOR, myid);
- 						} else {
--							dir_path = switch_core_session_sprintf(session, "%s%svoicemail%s%s%s%s%s%s", SWITCH_GLOBAL_dirs.storage_dir,
-+							dir_path = switch_core_session_sprintf(session, "%s%s%s%s%s%s%s%s", SWITCH_GLOBAL_dirs.voicemail_dir,
- 																   SWITCH_PATH_SEPARATOR,
- 																   SWITCH_PATH_SEPARATOR,
- 																   profile->name, SWITCH_PATH_SEPARATOR, domain_name, SWITCH_PATH_SEPARATOR, myid);
-@@ -2293,7 +2293,7 @@
- 	int send_notify = 0;
- 	int insert_db = 1;
- 	int email_attach = 0;
--	char *vm_storage_dir = NULL;
-+	char *vm_voicemail_dir = NULL;
- 	char *myfolder = "inbox";
- 	int priority = 3;
- 	const char *tmp;
-@@ -2366,12 +2366,12 @@
- 
- 	switch_log_printf(SWITCH_CHANNEL_LOG, SWITCH_LOG_DEBUG, "Deliver VM to %s@%s\n", myid, domain_name);
- 
--	if (!zstr(vm_storage_dir)) {
--		dir_path = switch_mprintf("%s%s%s", vm_storage_dir, SWITCH_PATH_SEPARATOR, myid);
--	} else if (!zstr(profile->storage_dir)) {
--		dir_path = switch_mprintf("%s%s%s%s%s", profile->storage_dir, SWITCH_PATH_SEPARATOR, domain_name, SWITCH_PATH_SEPARATOR, myid);
-+	if (!zstr(vm_voicemail_dir)) {
-+		dir_path = switch_mprintf("%s%s%s", vm_voicemail_dir, SWITCH_PATH_SEPARATOR, myid);
-+	} else if (!zstr(profile->voicemail_dir)) {
-+		dir_path = switch_mprintf("%s%s%s%s%s", profile->voicemail_dir, SWITCH_PATH_SEPARATOR, domain_name, SWITCH_PATH_SEPARATOR, myid);
- 	} else {
--		dir_path = switch_mprintf("%s%svoicemail%s%s%s%s%s%s", SWITCH_GLOBAL_dirs.storage_dir,
-+		dir_path = switch_mprintf("%s%s%s%s%s%s%s%s", SWITCH_GLOBAL_dirs.voicemail_dir,
- 								  SWITCH_PATH_SEPARATOR,
- 								  SWITCH_PATH_SEPARATOR, profile->name, SWITCH_PATH_SEPARATOR, domain_name, SWITCH_PATH_SEPARATOR, myid);
- 	}
-@@ -2822,7 +2822,7 @@
- 	char date[80] = "";
- 	switch_size_t retsize;
- 	switch_time_t ts = switch_micro_time_now();
--	char *vm_storage_dir = NULL;
-+	char *vm_voicemail_dir = NULL;
- 	char *record_macro = VM_RECORD_MESSAGE_MACRO;
- 	int send_main = 0;
- 	int send_notify = 0;
-@@ -2876,8 +2876,8 @@
- 						email_addr = switch_core_session_strdup(session, val);
- 					} else if (!strcasecmp(var, "vm-email-all-messages") && (send_main = switch_true(val))) {
- 						send_mail++;
--					} else if (!strcasecmp(var, "storage-dir")) {
--						vm_storage_dir = switch_core_session_strdup(session, val);
-+					} else if (!strcasecmp(var, "voicemail-dir")) {
-+						vm_voicemail_dir = switch_core_session_strdup(session, val);
- 					} else if (!strcasecmp(var, "vm-notify-email-all-messages") && (send_notify = switch_true(val))) {
- 						send_mail++;
- 					} else if (!strcasecmp(var, "vm-keep-local-after-email")) {
-@@ -2933,12 +2933,12 @@
- 		}
- 	}
- 
--	if (!zstr(vm_storage_dir)) {
--		dir_path = switch_core_session_sprintf(session, "%s%s%s", vm_storage_dir, SWITCH_PATH_SEPARATOR, id);
--	} else if (!zstr(profile->storage_dir)) {
--		dir_path = switch_core_session_sprintf(session, "%s%s%s%s%s", profile->storage_dir, SWITCH_PATH_SEPARATOR, domain_name, SWITCH_PATH_SEPARATOR, id);
-+	if (!zstr(vm_voicemail_dir)) {
-+		dir_path = switch_core_session_sprintf(session, "%s%s%s", vm_voicemail_dir, SWITCH_PATH_SEPARATOR, id);
-+	} else if (!zstr(profile->voicemail_dir)) {
-+		dir_path = switch_core_session_sprintf(session, "%s%s%s%s%s", profile->voicemail_dir, SWITCH_PATH_SEPARATOR, domain_name, SWITCH_PATH_SEPARATOR, id);
- 	} else {
--		dir_path = switch_core_session_sprintf(session, "%s%svoicemail%s%s%s%s%s%s", SWITCH_GLOBAL_dirs.storage_dir,
-+		dir_path = switch_core_session_sprintf(session, "%s%s%s%s%s%s%s%s", SWITCH_GLOBAL_dirs.voicemail_dir,
- 											   SWITCH_PATH_SEPARATOR,
- 											   SWITCH_PATH_SEPARATOR, profile->name, SWITCH_PATH_SEPARATOR, domain_name, SWITCH_PATH_SEPARATOR, id);
- 	}
Index: files/patch-src-mod-loggers-mod_logfile-mod_logfile.c
===================================================================
RCS file: files/patch-src-mod-loggers-mod_logfile-mod_logfile.c
diff -N files/patch-src-mod-loggers-mod_logfile-mod_logfile.c
--- files/patch-src-mod-loggers-mod_logfile-mod_logfile.c	28 Oct 2011 21:56:51 -0000	1.1
+++ /dev/null	1 Jan 1970 00:00:00 -0000
@@ -1,11 +0,0 @@
---- src/mod/loggers/mod_logfile/mod_logfile.c.orig	2011-02-02 11:08:44.000000000 -0500
-+++ src/mod/loggers/mod_logfile/mod_logfile.c	2011-02-02 11:09:38.000000000 -0500
-@@ -94,7 +94,7 @@
- 	flags |= SWITCH_FOPEN_WRITE;
- 	flags |= SWITCH_FOPEN_APPEND;
- 
--	stat = switch_file_open(&afd, profile->logfile, flags, SWITCH_FPROT_UREAD | SWITCH_FPROT_UWRITE | SWITCH_FPROT_WREAD, module_pool);
-+	stat = switch_file_open(&afd, profile->logfile, flags, SWITCH_FPROT_UREAD | SWITCH_FPROT_UWRITE | SWITCH_FPROT_GREAD | SWITCH_FPROT_WREAD, module_pool);
- 	if (stat != SWITCH_STATUS_SUCCESS) {
- 		return SWITCH_STATUS_FALSE;
- 	}
Index: files/patch-src-switch_core.c
===================================================================
RCS file: /home/ncvs/ports/net/freeswitch-core/files/patch-src-switch_core.c,v
retrieving revision 1.2
diff -u -r1.2 patch-src-switch_core.c
--- files/patch-src-switch_core.c	8 Dec 2010 18:33:22 -0000	1.2
+++ files/patch-src-switch_core.c	14 Mar 2012 18:07:50 -0000
@@ -1,49 +1,31 @@
---- src/switch_core.c
-+++ src/switch_core.c
-@@ -509,6 +509,14 @@ SWITCH_DECLARE(void) switch_core_set_globals(void)
- #endif
- 	}
- 
-+	if (!SWITCH_GLOBAL_dirs.voicemail_dir && (SWITCH_GLOBAL_dirs.voicemail_dir = (char *) malloc(BUFSIZE))) {
-+#ifdef SWITCH_VOICEMAIL_DIR
-+		switch_snprintf(SWITCH_GLOBAL_dirs.voicemail_dir, BUFSIZE, "%s", SWITCH_VOICEMAIL_DIR);
-+#else
-+		switch_snprintf(SWITCH_GLOBAL_dirs.voicemail_dir, BUFSIZE, "%s%svoicemail", storage_dir, SWITCH_PATH_SEPARATOR);
-+#endif
-+	}
-+
- 	if (!SWITCH_GLOBAL_dirs.db_dir && (SWITCH_GLOBAL_dirs.db_dir = (char *) malloc(BUFSIZE))) {
- #ifdef SWITCH_DB_DIR
- 		switch_snprintf(SWITCH_GLOBAL_dirs.db_dir, BUFSIZE, "%s", SWITCH_DB_DIR);
-@@ -566,6 +574,8 @@ SWITCH_DECLARE(void) switch_core_set_globals(void)
+--- src/switch_core.c.orig	2012-03-09 08:08:43.000000000 -0500
++++ src/switch_core.c	2012-03-09 08:19:13.000000000 -0500
+@@ -646,6 +646,7 @@
  	switch_assert(SWITCH_GLOBAL_dirs.recordings_dir);
  	switch_assert(SWITCH_GLOBAL_dirs.sounds_dir);
  	switch_assert(SWITCH_GLOBAL_dirs.temp_dir);
 +	switch_assert(SWITCH_GLOBAL_dirs.storage_dir);
-+	switch_assert(SWITCH_GLOBAL_dirs.voicemail_dir);
  }
  
- SWITCH_DECLARE(int32_t) set_high_priority(void)
-@@ -1261,6 +1271,8 @@ SWITCH_DECLARE(switch_status_t) switch_core_init(switch_core_flag_t flags, switc
+ 
+@@ -1429,7 +1430,7 @@
  	switch_dir_make_recursive(SWITCH_GLOBAL_dirs.recordings_dir, SWITCH_DEFAULT_DIR_PERMS, runtime.memory_pool);
  	switch_dir_make_recursive(SWITCH_GLOBAL_dirs.sounds_dir, SWITCH_DEFAULT_DIR_PERMS, runtime.memory_pool);
  	switch_dir_make_recursive(SWITCH_GLOBAL_dirs.temp_dir, SWITCH_DEFAULT_DIR_PERMS, runtime.memory_pool);
+-
 +	switch_dir_make_recursive(SWITCH_GLOBAL_dirs.storage_dir, SWITCH_DEFAULT_DIR_PERMS, runtime.memory_pool);
-+	switch_dir_make_recursive(SWITCH_GLOBAL_dirs.voicemail_dir, SWITCH_DEFAULT_DIR_PERMS, runtime.memory_pool);
- 
  
  	switch_mutex_init(&runtime.uuid_mutex, SWITCH_MUTEX_NESTED, runtime.memory_pool);
-@@ -1296,7 +1308,9 @@ SWITCH_DECLARE(switch_status_t) switch_core_init(switch_core_flag_t flags, switc
+ 
+@@ -1467,6 +1468,7 @@
  	switch_find_local_ip(guess_ip, sizeof(guess_ip), NULL, AF_INET6);
  	switch_core_set_variable("local_ip_v6", guess_ip);
  	switch_core_set_variable("base_dir", SWITCH_GLOBAL_dirs.base_dir);
 +	switch_core_set_variable("storage_dir", SWITCH_GLOBAL_dirs.storage_dir);
  	switch_core_set_variable("recordings_dir", SWITCH_GLOBAL_dirs.recordings_dir);
-+	switch_core_set_variable("voicemail_dir", SWITCH_GLOBAL_dirs.voicemail_dir);
  	switch_core_set_variable("sound_prefix", SWITCH_GLOBAL_dirs.sounds_dir);
  	switch_core_set_variable("sounds_dir", SWITCH_GLOBAL_dirs.sounds_dir);
- 	switch_core_set_serial();
-@@ -1448,6 +1462,8 @@ static void switch_load_core_config(const char *file)
+@@ -1707,6 +1709,8 @@
  					switch_set_flag((&runtime), SCF_EARLY_HANGUP);
  				} else if (!strcasecmp(var, "colorize-console") && switch_true(val)) {
  					runtime.colorize_console = SWITCH_TRUE;
@@ -52,11 +34,3 @@
  				} else if (!strcasecmp(var, "mailer-app") && !zstr(val)) {
  					runtime.mailer_app = switch_core_strdup(runtime.memory_pool, val);
  				} else if (!strcasecmp(var, "mailer-app-args") && val) {
-@@ -1932,6 +1948,7 @@ SWITCH_DECLARE(switch_status_t) switch_core_destroy(void)
- 	switch_safe_free(SWITCH_GLOBAL_dirs.htdocs_dir);
- 	switch_safe_free(SWITCH_GLOBAL_dirs.grammar_dir);
- 	switch_safe_free(SWITCH_GLOBAL_dirs.storage_dir);
-+	switch_safe_free(SWITCH_GLOBAL_dirs.voicemail_dir);
- 	switch_safe_free(SWITCH_GLOBAL_dirs.recordings_dir);
- 	switch_safe_free(SWITCH_GLOBAL_dirs.sounds_dir);
- 	switch_safe_free(SWITCH_GLOBAL_dirs.run_dir);
Index: files/pkg-install.in
===================================================================
RCS file: /home/ncvs/ports/net/freeswitch-core/files/pkg-install.in,v
retrieving revision 1.4
diff -u -r1.4 pkg-install.in
--- files/pkg-install.in	28 Oct 2011 21:56:51 -0000	1.4
+++ files/pkg-install.in	14 Mar 2012 18:07:50 -0000
@@ -17,23 +17,25 @@
 	do chown %%FREESWITCH_USER%%:%%FREESWITCH_GROUP%% ${PKG_PREFIX}/$dir
 done
 
-find ${PKG_PREFIX}/etc/freeswitch/ -type d -exec chmod 755 {} +
+find ${PKG_PREFIX}/etc/freeswitch/ -type d -exec chmod 770 {} +
+find ${PKG_PREFIX}/etc/freeswitch/ -type f -exec chmod 660 {} +
+
 chmod 775 ${PKG_PREFIX}/share/freeswitch
 
-# @cwd /var
+@cwd /var
 
 for dir in \
     db/freeswitch \
     freeswitch/recordings \
-    log/freeswitch/xml_cdr \
-    spool/freeswitch/voicemail
+    log/freeswitch/xml_cdr 
 	do install -d -m 775 -o %%FREESWITCH_USER%% -g %%FREESWITCH_GROUP%% /var/$dir
 done
 
 echo "This port chown -R various directories %%FREESWITCH_USER%%:%%FREESWITCH_GROUP%%"
-echo "This port chmod -R 775 various directories"
+echo "This port chmod -R 770 various directories"
+echo" This port chmod -R 660 various files"
 echo "This is for security reasons.  In the event something should"
 echo "stop working, please take the time to check the following dirs:"
-echo "/var/spool/freeswitch /var/log/freeswitch /var/freeswitch"
+echo " /var/log/freeswitch /var/freeswitch"
 
 exit 0
Index: files/pkg-message.in
===================================================================
RCS file: files/pkg-message.in
diff -N files/pkg-message.in
--- files/pkg-message.in	11 Jun 2010 22:26:44 -0000	1.1
+++ /dev/null	1 Jan 1970 00:00:00 -0000
@@ -1,20 +0,0 @@
-
-*****************************************************
-*		Please read			    *
-*****************************************************
-		FreeBSD 7.x		
-There are some known issues with FreeBSD's libpthread 
-implementation and APR that can affect throughput at 
-high volume. A possible fix is to use libmap.conf to 
-remap FreeSWITCH. and its libraries to use libthr 
-(the better performance threading library)
-
-/etc/libmap.conf
-
-[freeswitch]
-libc_r.so.5 libthr.so.2
-libc_r.so.6 libthr.so.2
-libpthread.so.1 libthr.so.2
-libpthread.so.2 libthr.so.2
-
-
